
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl((-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl1 = new org.apache.commons.math.linear.RealMatrixImpl(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    java.math.BigDecimal[] bigDecimal_array0 = null;
    java.math.BigDecimal[][] bigDecimal_array_array1 = new java.math.BigDecimal[][] { bigDecimal_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array1);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double[] d_array0 = null;
    double[][] d_array_array1 = new double[][] { d_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array1);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal3 = null;
    java.math.BigDecimal[] bigDecimal_array4 = new java.math.BigDecimal[] { bigDecimal3 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix6 = bigMatrixImpl2.subtract((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array4);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix4 = realMatrixImpl3.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal[] bigDecimal_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array4 = bigMatrixImpl2.operate(bigDecimal_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = realMatrixImpl3.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal bigDecimal5 = null;
    java.math.BigDecimal[] bigDecimal_array6 = new java.math.BigDecimal[] { bigDecimal5 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl7 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array6);
    boolean b9 = bigMatrixImpl7.equals((java.lang.Object)' ');
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal3 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal3 = null;
    java.math.BigDecimal[] bigDecimal_array4 = new java.math.BigDecimal[] { bigDecimal3 };
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array5 = bigMatrixImpl2.operate(bigDecimal_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array4);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    bigMatrixImpl10.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl10.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = bigMatrixImpl2.add(bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix14 = realMatrixImpl7.getSubMatrix(2, (-1), 100, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = bigMatrixImpl2.getColumnAsDoubleArray(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl7.getSubMatrix(100, 0, 100, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    bigMatrixImpl9.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl9.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix15 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    int[] i_array10 = new int[] { 10, 1, 1 };
    int[] i_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl2.getSubMatrix(i_array10, i_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = realMatrixImpl7.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    double[] d_array10 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = realMatrixImpl7.preMultiply(d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int[] i_array7 = new int[] { 100 };
    int[] i_array9 = new int[] { (-1) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getSubMatrix(i_array7, i_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl2.getSubMatrix(0, 0, 0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal6 = null;
    java.math.BigDecimal[] bigDecimal_array7 = new java.math.BigDecimal[] { bigDecimal6 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array7);
    boolean b10 = bigMatrixImpl8.equals((java.lang.Object)' ');
    java.lang.Object obj11 = null;
    boolean b12 = bigMatrixImpl8.equals(obj11);
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl8.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = bigMatrixImpl2.subtract(bigMatrixImpl8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math.linear.InvalidMatrixException invalidMatrixException0 = new org.apache.commons.math.linear.InvalidMatrixException();

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = realMatrixImpl13.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl3.add(realMatrix19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl9.scalarMultiply(bigDecimal10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl2.getRowMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix10 = realMatrixImpl8.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    int i4 = realMatrixImpl3.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = realMatrixImpl3.getColumn(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal bigDecimal7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.scalarMultiply(bigDecimal7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = realMatrixImpl3.getEntry(100, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(0, 64);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.lang.String[] str_array0 = null;
    java.lang.String[][] str_array_array1 = new java.lang.String[][] { str_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(str_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array1);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal5 = bigMatrixImpl2.getEntry(1, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal3 = null;
    java.math.BigDecimal[] bigDecimal_array4 = new java.math.BigDecimal[] { bigDecimal3 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array4);
    boolean b7 = bigMatrixImpl5.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl5.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.subtract(bigMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array6 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal9 = bigMatrixImpl2.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl18 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array16, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = bigMatrixImpl2.subtract(bigMatrixImpl18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = bigMatrixImpl2.getRowAsDoubleArray(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = realMatrixImpl7.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl12.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal6 = null;
    java.math.BigDecimal[] bigDecimal_array7 = new java.math.BigDecimal[] { bigDecimal6 };
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl2.solve(bigDecimal_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array7);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = realMatrixImpl3.preMultiply(d_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl9.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bigMatrixImpl2.getEntryAsDouble(64, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array9 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    int i14 = realMatrixImpl13.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl8.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = realMatrixImpl7.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl3.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = bigMatrixImpl2.getRowAsDoubleArray(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array7 = bigMatrixImpl2.getRow(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl18.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix26 = realMatrixImpl18.getColumnMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl2.solve(bigMatrix10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array6 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = bigMatrixImpl2.getRowAsDoubleArray(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array13 = bigMatrixImpl9.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array14 = bigMatrixImpl2.solve(bigDecimal_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array13);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    double[] d_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array7 = bigMatrixImpl2.solve(d_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    double[] d_array14 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl9.solve(d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    java.math.BigDecimal bigDecimal19 = null;
    java.math.BigDecimal[] bigDecimal_array20 = new java.math.BigDecimal[] { bigDecimal19 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array20);
    boolean b23 = bigMatrixImpl21.equals((java.lang.Object)' ');
    java.lang.Object obj24 = null;
    boolean b25 = bigMatrixImpl21.equals(obj24);
    java.math.BigDecimal[][] bigDecimal_array_array26 = bigMatrixImpl21.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl28 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array26, true);
    java.math.BigDecimal bigDecimal29 = bigMatrixImpl28.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix30 = bigMatrixImpl13.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal29);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array11 = bigMatrixImpl2.preMultiply(bigDecimal_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl13.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = realMatrixImpl7.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal10 = bigMatrixImpl2.getEntry(2, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    bigMatrixImpl10.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl10.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl2.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = realMatrixImpl3.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl18.transpose();
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = new org.apache.commons.math.linear.RealMatrixImpl(d_array31);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = realMatrixImpl28.add(realMatrixImpl32);
    double[][] d_array_array34 = realMatrixImpl33.getData();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl18.setSubMatrix(d_array_array34, 100, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    boolean b4 = realMatrixImpl3.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix5 = realMatrixImpl3.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array11 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = realMatrixImpl7.preMultiply(d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal bigDecimal6 = null;
    java.math.BigDecimal[] bigDecimal_array7 = new java.math.BigDecimal[] { bigDecimal6 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array7);
    boolean b10 = bigMatrixImpl8.equals((java.lang.Object)' ');
    java.lang.Object obj11 = null;
    boolean b12 = bigMatrixImpl8.equals(obj11);
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array13, true);
    java.math.BigDecimal bigDecimal16 = bigMatrixImpl15.getTrace();
    bigMatrixImpl15.setRoundingMode(0);
    int i19 = bigMatrixImpl15.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = bigMatrixImpl5.multiply(bigMatrixImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    java.lang.String str10 = realMatrixImpl7.toString();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    boolean b20 = realMatrixImpl14.isSquare();
    boolean b21 = realMatrixImpl14.isSquare();
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl25.add(realMatrixImpl29);
    org.apache.commons.math.linear.RealMatrix realMatrix31 = realMatrixImpl29.transpose();
    boolean b32 = realMatrixImpl29.isSquare();
    int i33 = realMatrixImpl29.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = realMatrixImpl14.subtract(realMatrixImpl29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix35 = realMatrixImpl7.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str10.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl34);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getColumn(0);
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array13 = bigMatrixImpl9.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array14 = new java.math.BigDecimal[][] { bigDecimal_array13 };
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.setSubMatrix(bigDecimal_array_array14, 1, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double[] d_array1 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl6 = new org.apache.commons.math.linear.RealMatrixImpl(d_array5);
    java.lang.String str7 = realMatrixImpl6.toString();
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    org.apache.commons.math.linear.RealMatrix realMatrix12 = realMatrixImpl6.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = realMatrixImpl2.add(realMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str7.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    java.math.BigDecimal bigDecimal19 = null;
    java.math.BigDecimal[] bigDecimal_array20 = new java.math.BigDecimal[] { bigDecimal19 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array20);
    boolean b23 = bigMatrixImpl21.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix24 = bigMatrixImpl21.transpose();
    int i25 = bigMatrixImpl21.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array26 = bigMatrixImpl21.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl28 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array26, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl29 = bigMatrixImpl13.subtract(bigMatrixImpl28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array26);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix14 = realMatrixImpl7.getSubMatrix((-1), 4, 0, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double d9 = realMatrixImpl3.getNorm();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    boolean b20 = realMatrixImpl3.equals((java.lang.Object)b19);
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array25 = realMatrixImpl3.solve(d_array23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl20.getRow(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    java.lang.Object obj12 = null;
    boolean b13 = bigMatrixImpl9.equals(obj12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl9.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl5.setSubMatrix(bigDecimal_array_array14, (-1), 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    java.lang.String str10 = realMatrixImpl8.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl8.getSubMatrix((-1), 2, 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str10.equals("RealMatrixImpl{{20.0},{2.0}}"));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    java.lang.String str10 = realMatrixImpl7.toString();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    boolean b20 = realMatrixImpl14.isSquare();
    boolean b21 = realMatrixImpl14.isSquare();
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl25.add(realMatrixImpl29);
    org.apache.commons.math.linear.RealMatrix realMatrix31 = realMatrixImpl29.transpose();
    boolean b32 = realMatrixImpl29.isSquare();
    int i33 = realMatrixImpl29.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = realMatrixImpl14.subtract(realMatrixImpl29);
    org.apache.commons.math.linear.RealMatrix realMatrix35 = realMatrixImpl29.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl7.multiply(realMatrixImpl29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str10.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    java.math.BigDecimal bigDecimal22 = null;
    java.math.BigDecimal[] bigDecimal_array23 = new java.math.BigDecimal[] { bigDecimal22 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl24 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array23);
    boolean b26 = bigMatrixImpl24.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array28 = bigMatrixImpl24.getColumn(0);
    java.math.BigDecimal[][] bigDecimal_array_array29 = new java.math.BigDecimal[][] { bigDecimal_array28 };
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl20.setSubMatrix(bigDecimal_array_array29, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array29);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = realMatrixImpl11.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = null;
    java.math.BigDecimal[] bigDecimal_array5 = new java.math.BigDecimal[] { bigDecimal4 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl6 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array5);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl7 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array5);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl3.operate(bigDecimal_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array5);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl9.transpose();
    int i13 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array14, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getColumn(0);
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl9.transpose();
    int i13 = bigMatrixImpl9.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix14 = bigMatrixImpl2.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl10.getRowMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix14 = bigMatrixImpl9.getRowMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    java.lang.Object obj13 = null;
    boolean b14 = bigMatrixImpl10.equals(obj13);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl10.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl10.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.preMultiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = bigMatrixImpl3.subtract(bigMatrixImpl4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    java.math.BigDecimal bigDecimal14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix15 = bigMatrixImpl9.scalarAdd(bigDecimal14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.operate(bigDecimal_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    java.lang.String str10 = realMatrixImpl8.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str10.equals("RealMatrixImpl{{20.0},{2.0}}"));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array13);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl14.getDataRef();
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl14.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array18 = bigMatrixImpl2.preMultiply(bigDecimal_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double[] d_array1 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = realMatrixImpl7.add(realMatrixImpl11);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl11.transpose();
    boolean b14 = realMatrixImpl11.isSquare();
    java.math.BigDecimal bigDecimal15 = null;
    java.math.BigDecimal[] bigDecimal_array16 = new java.math.BigDecimal[] { bigDecimal15 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array16);
    boolean b19 = bigMatrixImpl17.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl17.getColumn(0);
    boolean b22 = realMatrixImpl11.equals((java.lang.Object)bigMatrixImpl17);
    double[][] d_array_array23 = realMatrixImpl11.getData();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl3.setSubMatrix(d_array_array23, (-1), 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = realMatrixImpl3.getColumn(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = bigMatrixImpl10.transpose();
    int i14 = bigMatrixImpl10.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl10.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.setSubMatrix(bigDecimal_array_array15, 64, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix19 = realMatrixImpl7.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = realMatrixImpl3.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl3.getRowMatrix(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    int[] i_array10 = new int[] {  };
    int[] i_array13 = new int[] { 10, (-1) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix14 = realMatrixImpl8.getSubMatrix(i_array10, i_array13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    bigMatrixImpl10.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl10.getDataRef();
    bigMatrixImpl10.setScale(0);
    java.lang.String str18 = bigMatrixImpl10.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str18.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl12.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl9.solve(bigDecimal_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array14 = bigMatrixImpl10.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl2.preMultiply(bigDecimal_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl13.transpose();
    int i17 = bigMatrixImpl13.getRowDimension();
    int i18 = bigMatrixImpl13.getScale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl2.subtract((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 64);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl3.getRowMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array11 = bigMatrixImpl2.preMultiply(bigDecimal_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array9 = bigMatrixImpl2.getRow(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, false);
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    java.lang.Object obj15 = null;
    boolean b16 = bigMatrixImpl12.equals(obj15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getData();
    bigMatrixImpl12.setScale(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix20 = bigMatrixImpl9.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, false);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = bigMatrixImpl9.getEntryAsDouble(2, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    java.lang.String str10 = realMatrixImpl8.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.copy();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = realMatrixImpl8.subtract(realMatrixImpl14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str10.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    int i7 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 64);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double[] d_array1 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = realMatrixImpl7.add(realMatrixImpl11);
    int i13 = realMatrixImpl11.getColumnDimension();
    java.lang.String str14 = realMatrixImpl11.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl3.solve((org.apache.commons.math.linear.RealMatrix)realMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str14.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl13.copy();
    java.math.BigDecimal bigDecimal20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix21 = bigMatrixImpl13.scalarAdd(bigDecimal20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    int[] i_array6 = new int[] {  };
    int[] i_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getSubMatrix(i_array6, i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl10.getColumnMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl5.getSubMatrix((-1), 0, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl7.getColumnMatrix(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array13);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl14.getDataRef();
    double[] d_array17 = bigMatrixImpl14.getRowAsDoubleArray(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array18 = bigMatrixImpl2.solve(d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    int i3 = realMatrixImpl2.getRowDimension();
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    java.lang.String str8 = realMatrixImpl7.toString();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl2.subtract(realMatrixImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str8.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.scalarMultiply(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = realMatrixImpl7.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl9.getColumn(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double d9 = realMatrixImpl3.getNorm();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    boolean b20 = realMatrixImpl3.equals((java.lang.Object)b19);
    int i21 = realMatrixImpl3.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      double d24 = realMatrixImpl3.getEntry(4, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    java.math.BigDecimal bigDecimal13 = null;
    java.math.BigDecimal[] bigDecimal_array14 = new java.math.BigDecimal[] { bigDecimal13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array14);
    boolean b17 = bigMatrixImpl15.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl15.transpose();
    int i19 = bigMatrixImpl15.getRowDimension();
    boolean b21 = bigMatrixImpl15.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl15.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix24 = bigMatrixImpl9.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    int i7 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.scalarAdd(bigDecimal8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 64);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = realMatrixImpl12.add(realMatrixImpl16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = realMatrixImpl16.transpose();
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = realMatrixImpl22.add(realMatrixImpl26);
    double[][] d_array_array28 = realMatrixImpl27.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl29 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array28);
    boolean b30 = realMatrixImpl16.equals((java.lang.Object)bigMatrixImpl29);
    int i31 = bigMatrixImpl29.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl32 = bigMatrixImpl2.multiply(bigMatrixImpl29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 2);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix4 = realMatrixImpl2.getColumnMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl8.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    int i4 = realMatrixImpl3.getRowDimension();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = realMatrixImpl3.operate(d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = bigMatrixImpl2.getEntryAsDouble(0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    int[] i_array22 = new int[] {  };
    int[] i_array26 = new int[] { 0, 0, 10 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix27 = realMatrixImpl7.getSubMatrix(i_array22, i_array26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.getRowMatrix(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl2.scalarAdd(bigDecimal11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl9.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl11.add(realMatrixImpl15);
    // The following exception was thrown during execution in test generation
    try {
      double d39 = realMatrixImpl15.getEntry(1, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = bigMatrixImpl3.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal5 = bigMatrixImpl3.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal4);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl0 = new org.apache.commons.math.linear.BigMatrixImpl();
    java.math.BigDecimal bigDecimal1 = null;
    java.math.BigDecimal[] bigDecimal_array2 = new java.math.BigDecimal[] { bigDecimal1 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array2);
    boolean b5 = bigMatrixImpl3.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix6 = bigMatrixImpl3.transpose();
    int i7 = bigMatrixImpl3.getRowDimension();
    boolean b9 = bigMatrixImpl3.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array11 = bigMatrixImpl3.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = bigMatrixImpl0.add(bigMatrixImpl3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl13.getRow(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    java.math.BigDecimal bigDecimal19 = null;
    java.math.BigDecimal[] bigDecimal_array20 = new java.math.BigDecimal[] { bigDecimal19 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array20);
    boolean b23 = bigMatrixImpl21.equals((java.lang.Object)' ');
    java.lang.Object obj24 = null;
    boolean b25 = bigMatrixImpl21.equals(obj24);
    java.math.BigDecimal[][] bigDecimal_array_array26 = bigMatrixImpl21.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix27 = bigMatrixImpl21.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix28 = bigMatrixImpl12.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix27);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bigMatrixImpl2.getEntryAsDouble(2, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bigMatrixImpl2.getEntryAsDouble(2, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = bigMatrixImpl5.getColumnAsDoubleArray(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    double[] d_array13 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = realMatrixImpl7.preMultiply(d_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = null;
    java.math.BigDecimal[] bigDecimal_array5 = new java.math.BigDecimal[] { bigDecimal4 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl6 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array5);
    boolean b8 = bigMatrixImpl6.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl6.transpose();
    int i10 = bigMatrixImpl6.getRowDimension();
    boolean b12 = bigMatrixImpl6.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array14 = bigMatrixImpl6.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl3.solve(bigDecimal_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    java.lang.String str12 = realMatrixImpl7.toString();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = realMatrixImpl7.getRow(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str12.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    java.lang.String str3 = realMatrixImpl2.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix4 = realMatrixImpl2.transpose();
    double[] d_array6 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = realMatrixImpl2.operate(d_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "RealMatrixImpl{{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0}}"+ "'", str3.equals("RealMatrixImpl{{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array6, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal11 = bigMatrixImpl8.getEntry((-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.lang.String str9 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = bigMatrixImpl2.getRowAsDoubleArray(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    double[][] d_array_array19 = realMatrixImpl7.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl7.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl13.transpose();
    int i17 = bigMatrixImpl13.getRowDimension();
    boolean b19 = bigMatrixImpl13.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl13.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array22 = new java.math.BigDecimal[][] { bigDecimal_array21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl24 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array22, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix25 = bigMatrixImpl10.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array22);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl7.solve((org.apache.commons.math.linear.RealMatrix)realMatrixImpl18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array14 = bigMatrixImpl10.getRow(0);
    java.math.BigDecimal bigDecimal15 = bigMatrixImpl10.getTrace();
    int i16 = bigMatrixImpl10.getScale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 64);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl18 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array16, true);
    int i19 = bigMatrixImpl18.getScale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix20 = bigMatrixImpl2.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 64);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.subtract((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getData();
    java.math.BigDecimal bigDecimal9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.scalarMultiply(bigDecimal9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix14 = bigMatrixImpl9.getColumnMatrix(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    int i22 = bigMatrixImpl20.getRowDimension();
    java.math.BigDecimal bigDecimal23 = null;
    java.math.BigDecimal[] bigDecimal_array24 = new java.math.BigDecimal[] { bigDecimal23 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl25 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array24);
    boolean b27 = bigMatrixImpl25.equals((java.lang.Object)' ');
    bigMatrixImpl25.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array30 = bigMatrixImpl25.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl31 = bigMatrixImpl20.multiply(bigMatrixImpl25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array30);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl7.getRowMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    boolean b18 = bigMatrixImpl16.equals((java.lang.Object)' ');
    java.lang.Object obj19 = null;
    boolean b20 = bigMatrixImpl16.equals(obj19);
    java.math.BigDecimal[][] bigDecimal_array_array21 = bigMatrixImpl16.getDataRef();
    int i22 = bigMatrixImpl16.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix23 = bigMatrixImpl9.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal13 = bigMatrixImpl2.getEntry(100, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array11 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array11, true);
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    boolean b18 = bigMatrixImpl16.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl16.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl13.solve(bigDecimal_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double d9 = realMatrixImpl3.getNorm();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    boolean b20 = realMatrixImpl3.equals((java.lang.Object)b19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix25 = realMatrixImpl3.getSubMatrix(10, 4, 4, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    double[][] d_array_array21 = realMatrixImpl20.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array21);
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl7.setSubMatrix(d_array_array21, 2, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl7.subtract(realMatrix10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    double[] d_array11 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = realMatrixImpl3.preMultiply(d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    java.math.BigDecimal bigDecimal13 = null;
    java.math.BigDecimal[] bigDecimal_array14 = new java.math.BigDecimal[] { bigDecimal13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = bigMatrixImpl12.multiply(bigMatrixImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl12.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl22 = bigMatrixImpl12.add(bigMatrixImpl21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    int i7 = bigMatrixImpl2.getColumnDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix14 = bigMatrixImpl11.transpose();
    int i15 = bigMatrixImpl11.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl11.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl2.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    int i22 = bigMatrixImpl20.getRowDimension();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl28 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array27);
    org.apache.commons.math.linear.BigMatrix bigMatrix30 = bigMatrixImpl28.getRowMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix31 = bigMatrixImpl20.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix30);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl2.getRow(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = bigMatrixImpl2.getColumnAsDoubleArray(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = bigMatrixImpl9.getRowAsDoubleArray(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    java.math.BigDecimal[][] bigDecimal_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl1 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = bigMatrixImpl3.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix6 = bigMatrixImpl3.getRowMatrix(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal4);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    boolean b10 = realMatrixImpl3.isSingular();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl16.getDataRef();
    double[] d_array19 = bigMatrixImpl16.getRowAsDoubleArray(0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array20 = realMatrixImpl3.solve(d_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    java.lang.String[][] str_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl1 = new org.apache.commons.math.linear.BigMatrixImpl(str_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    java.math.BigDecimal bigDecimal21 = null;
    java.math.BigDecimal[] bigDecimal_array22 = new java.math.BigDecimal[] { bigDecimal21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    boolean b25 = bigMatrixImpl23.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl23.transpose();
    int i27 = bigMatrixImpl23.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array28 = bigMatrixImpl23.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl30 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array28, false);
    boolean b31 = realMatrixImpl20.equals((java.lang.Object)false);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = new org.apache.commons.math.linear.RealMatrixImpl(d_array34);
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = realMatrixImpl35.add(realMatrixImpl39);
    double[][] d_array_array41 = realMatrixImpl40.getData();
    java.lang.String str42 = realMatrixImpl40.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix43 = realMatrixImpl40.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix44 = realMatrixImpl20.solve(realMatrix43);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str42.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    int i13 = bigMatrixImpl9.getColumnDimension();
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl9.solve(bigDecimal_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array11);
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl12.getDataRef();
    double[] d_array15 = bigMatrixImpl12.getRowAsDoubleArray(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl2.operate(d_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    java.lang.String str10 = realMatrixImpl8.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.copy();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = realMatrixImpl8.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str10.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl8);
    double[] d_array11 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    org.apache.commons.math.linear.RealMatrix realMatrix16 = realMatrixImpl14.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = realMatrixImpl3.multiply(realMatrixImpl14);
    double[][] d_array_array18 = null;
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl17.setSubMatrix(d_array_array18, 2, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl17);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl11.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl2.solve(bigMatrix17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array11 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array11, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl13.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array11);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    java.math.BigDecimal bigDecimal21 = null;
    java.math.BigDecimal[] bigDecimal_array22 = new java.math.BigDecimal[] { bigDecimal21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    boolean b25 = bigMatrixImpl23.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl23.transpose();
    int i27 = bigMatrixImpl23.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array28 = bigMatrixImpl23.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl30 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array28, false);
    boolean b31 = realMatrixImpl20.equals((java.lang.Object)false);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = realMatrixImpl20.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array7 = bigMatrixImpl5.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl13.copy();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl13.getRow(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl18 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array16, true);
    java.math.BigDecimal bigDecimal19 = bigMatrixImpl18.getTrace();
    bigMatrixImpl18.setRoundingMode(0);
    boolean b22 = bigMatrixImpl18.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = bigMatrixImpl2.subtract(bigMatrixImpl18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b22 = realMatrixImpl8.equals((java.lang.Object)0);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl8.scalarAdd(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix29 = realMatrixImpl8.getSubMatrix(1, 100, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal bigDecimal7 = null;
    java.math.BigDecimal[] bigDecimal_array8 = new java.math.BigDecimal[] { bigDecimal7 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    boolean b11 = bigMatrixImpl9.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array13 = bigMatrixImpl9.getRow(0);
    java.math.BigDecimal bigDecimal14 = bigMatrixImpl9.getTrace();
    int i15 = bigMatrixImpl9.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl9.getRowMatrix(0);
    java.math.BigDecimal[] bigDecimal_array19 = bigMatrixImpl9.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl2.preMultiply(bigDecimal_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix36 = realMatrixImpl10.solve((org.apache.commons.math.linear.RealMatrix)realMatrixImpl30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    boolean b10 = realMatrixImpl3.isSingular();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl3.transpose();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl15.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix22 = realMatrixImpl3.preMultiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = bigMatrixImpl2.getRowAsDoubleArray(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getData();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal9 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl10.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    int i13 = bigMatrixImpl9.getColumnDimension();
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    boolean b18 = bigMatrixImpl16.equals((java.lang.Object)' ');
    bigMatrixImpl16.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array21 = bigMatrixImpl16.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array21, true);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl9.setSubMatrix(bigDecimal_array_array21, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array21);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.scalarMultiply(bigDecimal6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = bigMatrixImpl3.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix6 = bigMatrixImpl3.getColumnMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal4);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    java.lang.String str12 = realMatrixImpl7.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix17 = realMatrixImpl7.getSubMatrix(64, (-1), 0, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str12.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = bigMatrixImpl2.getColumnAsDoubleArray((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    int i13 = bigMatrixImpl9.getColumnDimension();
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    boolean b18 = bigMatrixImpl16.equals((java.lang.Object)' ');
    java.lang.Object obj19 = null;
    boolean b20 = bigMatrixImpl16.equals(obj19);
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl16.getColumnMatrix(0);
    int i23 = bigMatrixImpl16.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl24 = bigMatrixImpl9.subtract(bigMatrixImpl16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl20.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, false);
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    java.lang.Object obj15 = null;
    boolean b16 = bigMatrixImpl12.equals(obj15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array17, true);
    int i20 = bigMatrixImpl19.getScale();
    java.math.BigDecimal[] bigDecimal_array22 = bigMatrixImpl19.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl9.preMultiply(bigDecimal_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getData();
    int i9 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array10 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 64);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal9 = bigMatrixImpl2.getEntry(100, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl10.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl7.getColumnMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl8.getColumnDimension();
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = realMatrixImpl8.operate(d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    double[] d_array12 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl2.solve(d_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b22 = realMatrixImpl8.equals((java.lang.Object)0);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    double[][] d_array_array32 = realMatrixImpl31.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = new org.apache.commons.math.linear.RealMatrixImpl(d_array37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array41);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = realMatrixImpl38.add(realMatrixImpl42);
    boolean b44 = realMatrixImpl38.isSquare();
    boolean b45 = realMatrixImpl38.isSquare();
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl49 = new org.apache.commons.math.linear.RealMatrixImpl(d_array48);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl53 = new org.apache.commons.math.linear.RealMatrixImpl(d_array52);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl54 = realMatrixImpl49.add(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrix realMatrix55 = realMatrixImpl53.transpose();
    boolean b56 = realMatrixImpl53.isSquare();
    int i57 = realMatrixImpl53.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl58 = realMatrixImpl38.subtract(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl59 = realMatrixImpl34.add(realMatrixImpl38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl60 = realMatrixImpl8.subtract(realMatrixImpl59);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array62 = realMatrixImpl59.getRow(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl60);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    int i13 = bigMatrixImpl10.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = bigMatrixImpl2.subtract(bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array16);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.setSubMatrix(bigDecimal_array_array16, 2, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl13.copy();
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = realMatrixImpl23.add(realMatrixImpl27);
    boolean b29 = realMatrixImpl28.isSquare();
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array32);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl37 = new org.apache.commons.math.linear.RealMatrixImpl(d_array36);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = realMatrixImpl33.add(realMatrixImpl37);
    boolean b39 = realMatrixImpl38.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = realMatrixImpl28.add(realMatrixImpl38);
    java.math.BigDecimal bigDecimal41 = null;
    java.math.BigDecimal[] bigDecimal_array42 = new java.math.BigDecimal[] { bigDecimal41 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl43 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array42);
    boolean b45 = bigMatrixImpl43.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix46 = bigMatrixImpl43.transpose();
    int i47 = bigMatrixImpl43.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array48 = bigMatrixImpl43.getDataRef();
    boolean b49 = realMatrixImpl40.equals((java.lang.Object)bigDecimal_array_array48);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl13.setSubMatrix(bigDecimal_array_array48, 64, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.scalarAdd(bigDecimal7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    int i10 = bigMatrixImpl2.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = bigMatrixImpl2.getRowAsDoubleArray(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array11 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array11, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl13.getColumn(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array11);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array7 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl11.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = bigMatrixImpl2.add(bigMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getData();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl11.getRow(0);
    java.math.BigDecimal bigDecimal16 = bigMatrixImpl11.getTrace();
    int i17 = bigMatrixImpl11.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl11.getRowMatrix(0);
    java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl11.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl11.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl11.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl2.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b22 = realMatrixImpl8.equals((java.lang.Object)0);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    double[][] d_array_array32 = realMatrixImpl31.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = new org.apache.commons.math.linear.RealMatrixImpl(d_array37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array41);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = realMatrixImpl38.add(realMatrixImpl42);
    boolean b44 = realMatrixImpl38.isSquare();
    boolean b45 = realMatrixImpl38.isSquare();
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl49 = new org.apache.commons.math.linear.RealMatrixImpl(d_array48);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl53 = new org.apache.commons.math.linear.RealMatrixImpl(d_array52);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl54 = realMatrixImpl49.add(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrix realMatrix55 = realMatrixImpl53.transpose();
    boolean b56 = realMatrixImpl53.isSquare();
    int i57 = realMatrixImpl53.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl58 = realMatrixImpl38.subtract(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl59 = realMatrixImpl34.add(realMatrixImpl38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl60 = realMatrixImpl8.subtract(realMatrixImpl59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix61 = realMatrixImpl60.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl60);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    java.lang.String str12 = realMatrixImpl7.toString();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl7.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str12.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = bigMatrixImpl9.getRowAsDoubleArray(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array11 = bigMatrixImpl9.operate(d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    java.math.BigDecimal[][] bigDecimal_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array0, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix15 = bigMatrixImpl12.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl9.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix15);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl2.getSubMatrix(2, 1, 100, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    double[] d_array21 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array22 = realMatrixImpl20.preMultiply(d_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl18.transpose();
    boolean b25 = realMatrixImpl18.isSingular();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix30 = realMatrixImpl18.getSubMatrix(64, 64, 64, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    java.lang.Object obj10 = null;
    boolean b11 = realMatrixImpl3.equals(obj10);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = realMatrixImpl3.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    int i10 = bigMatrixImpl9.getScale();
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl9.getRow(0);
    int i13 = bigMatrixImpl9.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl9.getSubMatrix((-1), 0, (-1), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    int i10 = bigMatrixImpl2.getRoundingMode();
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl2.transpose();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array16);
    java.math.BigDecimal[][] bigDecimal_array_array18 = bigMatrixImpl17.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array18, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix21 = bigMatrixImpl2.subtract((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array18);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    int i13 = bigMatrixImpl9.getColumnDimension();
    boolean b14 = bigMatrixImpl9.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl9.getRowMatrix(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array10 = bigMatrixImpl2.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix15 = bigMatrixImpl2.getSubMatrix(64, 0, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array10);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = new org.apache.commons.math.linear.RealMatrixImpl(d_array30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = realMatrixImpl27.add(realMatrixImpl31);
    boolean b33 = realMatrixImpl32.isSquare();
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl37 = new org.apache.commons.math.linear.RealMatrixImpl(d_array36);
    double[] d_array40 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl41 = new org.apache.commons.math.linear.RealMatrixImpl(d_array40);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = realMatrixImpl37.add(realMatrixImpl41);
    boolean b43 = realMatrixImpl42.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl44 = realMatrixImpl32.add(realMatrixImpl42);
    boolean b46 = realMatrixImpl32.equals((java.lang.Object)0);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = realMatrixImpl32.scalarAdd(0.0d);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl52 = new org.apache.commons.math.linear.RealMatrixImpl(d_array51);
    double[] d_array55 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl56 = new org.apache.commons.math.linear.RealMatrixImpl(d_array55);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl57 = realMatrixImpl52.add(realMatrixImpl56);
    boolean b58 = realMatrixImpl52.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl59 = realMatrixImpl32.add(realMatrixImpl52);
    org.apache.commons.math.linear.RealMatrix realMatrix60 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl52);
    int[] i_array62 = new int[] { (-1) };
    int[] i_array64 = new int[] { 1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix65 = realMatrixImpl3.getSubMatrix(i_array62, i_array64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    org.apache.commons.math.linear.BigMatrix bigMatrix15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl9.subtract(bigMatrix15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    double[][] d_array_array19 = realMatrixImpl7.getData();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl7.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl18.transpose();
    boolean b25 = realMatrixImpl18.isSingular();
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array32);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = realMatrixImpl29.add(realMatrixImpl33);
    boolean b35 = realMatrixImpl34.isSquare();
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = new org.apache.commons.math.linear.RealMatrixImpl(d_array42);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl44 = realMatrixImpl39.add(realMatrixImpl43);
    boolean b45 = realMatrixImpl44.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl46 = realMatrixImpl34.add(realMatrixImpl44);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = realMatrixImpl18.add((org.apache.commons.math.linear.RealMatrix)realMatrixImpl34);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl48 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl49 = realMatrixImpl34.multiply(realMatrixImpl48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl13.getDataRef();
    double[] d_array16 = bigMatrixImpl13.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array18 = bigMatrixImpl2.solve(d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = realMatrixImpl10.getEntry(4, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.lang.Object obj14 = null;
    boolean b15 = bigMatrixImpl11.equals(obj14);
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl11.getColumnMatrix(0);
    int i18 = bigMatrixImpl11.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array19 = bigMatrixImpl11.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array19, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl22 = bigMatrixImpl2.multiply(bigMatrixImpl21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array19);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl8);
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.scalarAdd(0.0d);
    boolean b12 = realMatrixImpl8.isSingular();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = realMatrixImpl8.getRow(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    double[] d_array8 = bigMatrixImpl5.getRowAsDoubleArray(0);
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array13 = bigMatrixImpl5.operate(bigDecimal_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = realMatrixImpl3.getRow(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl11.add(realMatrixImpl15);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array38 = realMatrixImpl11.getColumn(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = realMatrixImpl7.add(realMatrixImpl11);
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl11.transpose();
    boolean b14 = realMatrixImpl11.isSquare();
    java.math.BigDecimal bigDecimal15 = null;
    java.math.BigDecimal[] bigDecimal_array16 = new java.math.BigDecimal[] { bigDecimal15 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array16);
    boolean b19 = bigMatrixImpl17.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl17.getColumn(0);
    boolean b22 = realMatrixImpl11.equals((java.lang.Object)bigMatrixImpl17);
    double[][] d_array_array23 = realMatrixImpl11.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl24 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl25 = bigMatrixImpl3.multiply(bigMatrixImpl24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl12.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b21 = bigMatrixImpl12.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    java.math.BigDecimal bigDecimal21 = null;
    java.math.BigDecimal[] bigDecimal_array22 = new java.math.BigDecimal[] { bigDecimal21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    boolean b25 = bigMatrixImpl23.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl23.transpose();
    int i27 = bigMatrixImpl23.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array28 = bigMatrixImpl23.getDataRef();
    boolean b29 = realMatrixImpl20.equals((java.lang.Object)bigDecimal_array_array28);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array32);
    java.lang.String str34 = realMatrixImpl33.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix35 = realMatrixImpl20.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str34.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = bigMatrixImpl2.add(bigMatrixImpl14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    int i5 = realMatrixImpl3.getRowDimension();
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl9.add(realMatrixImpl13);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl13.transpose();
    boolean b16 = realMatrixImpl13.isSquare();
    java.math.BigDecimal bigDecimal17 = null;
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array18);
    boolean b21 = bigMatrixImpl19.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl19.getColumn(0);
    boolean b24 = realMatrixImpl13.equals((java.lang.Object)bigMatrixImpl19);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = realMatrixImpl3.subtract(realMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix30 = realMatrixImpl3.getSubMatrix(0, 1, 64, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl25);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl2.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array13 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl5.getRowMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl5.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    int i5 = realMatrixImpl3.getRowDimension();
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl9.add(realMatrixImpl13);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl13.transpose();
    boolean b16 = realMatrixImpl13.isSquare();
    java.math.BigDecimal bigDecimal17 = null;
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array18);
    boolean b21 = bigMatrixImpl19.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl19.getColumn(0);
    boolean b24 = realMatrixImpl13.equals((java.lang.Object)bigMatrixImpl19);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = realMatrixImpl3.subtract(realMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = realMatrixImpl3.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl25);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    bigMatrixImpl9.setScale(0);
    bigMatrixImpl9.setRoundingMode((-1));
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl17.add(realMatrixImpl21);
    boolean b23 = realMatrixImpl22.isSquare();
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = new org.apache.commons.math.linear.RealMatrixImpl(d_array30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = realMatrixImpl27.add(realMatrixImpl31);
    boolean b33 = realMatrixImpl32.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = realMatrixImpl22.add(realMatrixImpl32);
    java.math.BigDecimal bigDecimal35 = null;
    java.math.BigDecimal[] bigDecimal_array36 = new java.math.BigDecimal[] { bigDecimal35 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl37 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array36);
    boolean b39 = bigMatrixImpl37.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix40 = bigMatrixImpl37.transpose();
    int i41 = bigMatrixImpl37.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array42 = bigMatrixImpl37.getDataRef();
    boolean b43 = realMatrixImpl34.equals((java.lang.Object)bigDecimal_array_array42);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl9.setSubMatrix(bigDecimal_array_array42, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = realMatrixImpl3.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    java.math.BigDecimal bigDecimal16 = null;
    java.math.BigDecimal[] bigDecimal_array17 = new java.math.BigDecimal[] { bigDecimal16 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl18 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array17);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array17);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl9.preMultiply(bigDecimal_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[][] d_array_array10 = realMatrixImpl8.getData();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    boolean b20 = realMatrixImpl19.isSquare();
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = realMatrixImpl24.add(realMatrixImpl28);
    boolean b30 = realMatrixImpl29.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl19.add(realMatrixImpl29);
    boolean b33 = realMatrixImpl19.equals((java.lang.Object)0);
    org.apache.commons.math.linear.RealMatrix realMatrix35 = realMatrixImpl19.scalarAdd(0.0d);
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = new org.apache.commons.math.linear.RealMatrixImpl(d_array42);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl44 = realMatrixImpl39.add(realMatrixImpl43);
    boolean b45 = realMatrixImpl39.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl46 = realMatrixImpl19.add(realMatrixImpl39);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix47 = realMatrixImpl8.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl46);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    java.lang.Object obj13 = null;
    boolean b14 = bigMatrixImpl10.equals(obj13);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl10.getData();
    bigMatrixImpl10.setScale(0);
    boolean b18 = bigMatrixImpl10.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    bigMatrixImpl2.setRoundingMode(2);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal13 = bigMatrixImpl2.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl5.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    java.lang.String str10 = bigMatrixImpl9.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl9.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{10},{1}}"+ "'", str10.equals("BigMatrixImpl{{10},{1}}"));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array10 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array10, true);
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl12.getData();
    double[] d_array15 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array19 = bigMatrixImpl12.solve(d_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = realMatrixImpl13.transpose();
    boolean b20 = realMatrixImpl13.isSingular();
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl8.add((org.apache.commons.math.linear.RealMatrix)realMatrixImpl13);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl25.add(realMatrixImpl29);
    boolean b31 = realMatrixImpl30.isSquare();
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = new org.apache.commons.math.linear.RealMatrixImpl(d_array34);
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = realMatrixImpl35.add(realMatrixImpl39);
    boolean b41 = realMatrixImpl40.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = realMatrixImpl30.add(realMatrixImpl40);
    boolean b44 = realMatrixImpl30.equals((java.lang.Object)0);
    double[] d_array47 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl48 = new org.apache.commons.math.linear.RealMatrixImpl(d_array47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl52 = new org.apache.commons.math.linear.RealMatrixImpl(d_array51);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl53 = realMatrixImpl48.add(realMatrixImpl52);
    double[][] d_array_array54 = realMatrixImpl53.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl55 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array54);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl56 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array54);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl60 = new org.apache.commons.math.linear.RealMatrixImpl(d_array59);
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl64 = new org.apache.commons.math.linear.RealMatrixImpl(d_array63);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl65 = realMatrixImpl60.add(realMatrixImpl64);
    boolean b66 = realMatrixImpl60.isSquare();
    boolean b67 = realMatrixImpl60.isSquare();
    double[] d_array70 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl71 = new org.apache.commons.math.linear.RealMatrixImpl(d_array70);
    double[] d_array74 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl75 = new org.apache.commons.math.linear.RealMatrixImpl(d_array74);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl76 = realMatrixImpl71.add(realMatrixImpl75);
    org.apache.commons.math.linear.RealMatrix realMatrix77 = realMatrixImpl75.transpose();
    boolean b78 = realMatrixImpl75.isSquare();
    int i79 = realMatrixImpl75.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl80 = realMatrixImpl60.subtract(realMatrixImpl75);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl81 = realMatrixImpl56.add(realMatrixImpl60);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl82 = realMatrixImpl30.subtract(realMatrixImpl81);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix83 = realMatrixImpl8.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl82);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.solve(bigMatrix9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getRowMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b22 = realMatrixImpl8.equals((java.lang.Object)0);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl8.scalarAdd(0.0d);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = new org.apache.commons.math.linear.RealMatrixImpl(d_array31);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = realMatrixImpl28.add(realMatrixImpl32);
    boolean b34 = realMatrixImpl28.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl8.add(realMatrixImpl28);
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix41 = realMatrixImpl35.preMultiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl40);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl3.getColumnDimension();
    int[] i_array10 = new int[] {  };
    int[] i_array14 = new int[] { 10, 1, (-1) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl3.getSubMatrix(i_array10, i_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    double[] d_array1 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl4 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = realMatrixImpl4.scalarMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = realMatrixImpl4.getRow((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b22 = realMatrixImpl8.equals((java.lang.Object)0);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    double[][] d_array_array32 = realMatrixImpl31.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = new org.apache.commons.math.linear.RealMatrixImpl(d_array37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array41);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = realMatrixImpl38.add(realMatrixImpl42);
    boolean b44 = realMatrixImpl38.isSquare();
    boolean b45 = realMatrixImpl38.isSquare();
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl49 = new org.apache.commons.math.linear.RealMatrixImpl(d_array48);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl53 = new org.apache.commons.math.linear.RealMatrixImpl(d_array52);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl54 = realMatrixImpl49.add(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrix realMatrix55 = realMatrixImpl53.transpose();
    boolean b56 = realMatrixImpl53.isSquare();
    int i57 = realMatrixImpl53.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl58 = realMatrixImpl38.subtract(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl59 = realMatrixImpl34.add(realMatrixImpl38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl60 = realMatrixImpl8.subtract(realMatrixImpl59);
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl64 = new org.apache.commons.math.linear.RealMatrixImpl(d_array63);
    double[] d_array67 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl68 = new org.apache.commons.math.linear.RealMatrixImpl(d_array67);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl69 = realMatrixImpl64.add(realMatrixImpl68);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = realMatrixImpl68.transpose();
    boolean b71 = realMatrixImpl68.isSquare();
    int i72 = realMatrixImpl68.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix74 = realMatrixImpl68.scalarMultiply(10.0d);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl75 = realMatrixImpl8.add(realMatrixImpl68);
    double[] d_array78 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl79 = new org.apache.commons.math.linear.RealMatrixImpl(d_array78);
    double[][] d_array_array80 = new double[][] { d_array78 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl81 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array80);
    java.math.BigDecimal[][] bigDecimal_array_array82 = bigMatrixImpl81.getDataRef();
    double[] d_array84 = bigMatrixImpl81.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl85 = new org.apache.commons.math.linear.RealMatrixImpl(d_array84);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array86 = realMatrixImpl75.solve(d_array84);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    int i7 = bigMatrixImpl2.getColumnDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = realMatrixImpl12.add(realMatrixImpl16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = realMatrixImpl16.transpose();
    java.math.BigDecimal bigDecimal19 = null;
    java.math.BigDecimal[] bigDecimal_array20 = new java.math.BigDecimal[] { bigDecimal19 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array20);
    boolean b23 = bigMatrixImpl21.equals((java.lang.Object)' ');
    bigMatrixImpl21.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array26 = bigMatrixImpl21.getDataRef();
    boolean b27 = realMatrixImpl16.equals((java.lang.Object)bigMatrixImpl21);
    java.math.BigDecimal[] bigDecimal_array29 = bigMatrixImpl21.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix30 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array29);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal bigDecimal15 = null;
    java.math.BigDecimal[] bigDecimal_array16 = new java.math.BigDecimal[] { bigDecimal15 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array16);
    boolean b19 = bigMatrixImpl17.equals((java.lang.Object)' ');
    java.lang.Object obj20 = null;
    boolean b21 = bigMatrixImpl17.equals(obj20);
    java.math.BigDecimal[][] bigDecimal_array_array22 = bigMatrixImpl17.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl24 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array22, true);
    java.math.BigDecimal bigDecimal25 = bigMatrixImpl24.getTrace();
    bigMatrixImpl24.setRoundingMode(0);
    boolean b28 = bigMatrixImpl24.isSquare();
    int i29 = bigMatrixImpl24.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array30 = bigMatrixImpl24.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl9.setSubMatrix(bigDecimal_array_array30, 100, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array30);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    int i13 = bigMatrixImpl9.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl9.getSubMatrix(64, (-1), 64, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    java.lang.Object obj10 = null;
    boolean b11 = realMatrixImpl3.equals(obj10);
    double d12 = realMatrixImpl3.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = realMatrixImpl3.getColumn(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 11.0d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    boolean b4 = realMatrixImpl3.isSquare();
    double d7 = realMatrixImpl3.getEntry(1, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.getColumnMatrix(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    bigMatrixImpl9.setScale(0);
    bigMatrixImpl9.setRoundingMode((-1));
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array18 = bigMatrixImpl9.solve(bigDecimal_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    int i6 = bigMatrixImpl2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl11.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    int i11 = bigMatrixImpl9.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = bigMatrixImpl9.getRowAsDoubleArray(0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = bigMatrixImpl3.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = bigMatrixImpl3.getRowAsDoubleArray(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal4);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = bigMatrixImpl16.getEntryAsDouble(1, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array15);
    int[] i_array18 = new int[] { 10 };
    int[] i_array21 = new int[] { 0, 10 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl16.getSubMatrix(i_array18, i_array21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = realMatrixImpl3.preMultiply(d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    bigMatrixImpl2.setRoundingMode(100);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal13 = bigMatrixImpl2.getEntry(2, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl5.getRowMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl18.transpose();
    boolean b25 = realMatrixImpl18.isSingular();
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array32);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = realMatrixImpl29.add(realMatrixImpl33);
    boolean b35 = realMatrixImpl34.isSquare();
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = new org.apache.commons.math.linear.RealMatrixImpl(d_array42);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl44 = realMatrixImpl39.add(realMatrixImpl43);
    boolean b45 = realMatrixImpl44.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl46 = realMatrixImpl34.add(realMatrixImpl44);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = realMatrixImpl18.add((org.apache.commons.math.linear.RealMatrix)realMatrixImpl34);
    double[][] d_array_array48 = realMatrixImpl18.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix53 = realMatrixImpl18.getSubMatrix(10, 0, 64, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix12 = realMatrixImpl10.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    double[] d_array22 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl18.preMultiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal9 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    int i22 = bigMatrixImpl20.getRowDimension();
    int[] i_array25 = new int[] { 10, 0 };
    int[] i_array28 = new int[] { 1, (-1) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix29 = bigMatrixImpl20.getSubMatrix(i_array25, i_array28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl20.copy();
    java.math.BigDecimal bigDecimal23 = null;
    java.math.BigDecimal[] bigDecimal_array24 = new java.math.BigDecimal[] { bigDecimal23 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl25 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array24);
    boolean b27 = bigMatrixImpl25.equals((java.lang.Object)' ');
    java.lang.Object obj28 = null;
    boolean b29 = bigMatrixImpl25.equals(obj28);
    java.math.BigDecimal[][] bigDecimal_array_array30 = bigMatrixImpl25.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl32 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array30, true);
    int i33 = bigMatrixImpl32.getScale();
    java.math.BigDecimal[] bigDecimal_array35 = bigMatrixImpl32.getRow(0);
    int i36 = bigMatrixImpl32.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix37 = bigMatrixImpl20.multiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl((-1), 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.lang.String str9 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array11 = bigMatrixImpl2.getRow(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    double[] d_array22 = realMatrixImpl18.getRow(0);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    boolean b32 = realMatrixImpl31.isSquare();
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = new org.apache.commons.math.linear.RealMatrixImpl(d_array35);
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl41 = realMatrixImpl36.add(realMatrixImpl40);
    boolean b42 = realMatrixImpl41.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = realMatrixImpl31.add(realMatrixImpl41);
    org.apache.commons.math.linear.RealMatrix realMatrix44 = realMatrixImpl41.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix45 = realMatrixImpl18.subtract(realMatrix44);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double[] d_array1 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl4 = new org.apache.commons.math.linear.RealMatrixImpl(d_array1);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = realMatrixImpl4.scalarMultiply(0.0d);
    java.lang.String str7 = realMatrixImpl4.toString();
    double[][] d_array_array8 = realMatrixImpl4.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    java.lang.String str12 = realMatrixImpl11.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl11.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix14 = realMatrixImpl4.preMultiply(realMatrix13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "RealMatrixImpl{{10.0}}"+ "'", str7.equals("RealMatrixImpl{{10.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "RealMatrixImpl{{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0}}"+ "'", str12.equals("RealMatrixImpl{{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bigMatrixImpl2.getEntryAsDouble(4, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    java.lang.Object obj15 = null;
    boolean b16 = bigMatrixImpl12.equals(obj15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array17, true);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.setSubMatrix(bigDecimal_array_array17, 2, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    boolean b11 = realMatrixImpl7.isSingular();
    boolean b12 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl5.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl9.getColumnMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    double[] d_array9 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array9);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array13 = bigMatrixImpl2.operate(d_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    int[] i_array9 = new int[] { 10, 0 };
    int[] i_array10 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl2.getSubMatrix(i_array9, i_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    boolean b21 = realMatrixImpl18.isSquare();
    int i22 = realMatrixImpl18.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl3.subtract(realMatrixImpl18);
    java.lang.String str24 = realMatrixImpl23.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix26 = realMatrixImpl23.scalarMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d27 = realMatrixImpl23.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "RealMatrixImpl{{0.0},{0.0}}"+ "'", str24.equals("RealMatrixImpl{{0.0},{0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.scalarMultiply(10.0d);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl17.add(realMatrixImpl21);
    boolean b23 = realMatrixImpl22.isSquare();
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = new org.apache.commons.math.linear.RealMatrixImpl(d_array30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = realMatrixImpl27.add(realMatrixImpl31);
    boolean b33 = realMatrixImpl32.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = realMatrixImpl22.add(realMatrixImpl32);
    org.apache.commons.math.linear.RealMatrix realMatrix35 = realMatrixImpl32.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix36 = realMatrixImpl7.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl32);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    int i13 = bigMatrixImpl9.getColumnDimension();
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array19 = bigMatrixImpl9.solve(d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array15);
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = bigMatrixImpl16.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    java.lang.String str10 = realMatrixImpl8.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.copy();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl8.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str10.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    bigMatrixImpl2.setRoundingMode(2);
    java.math.BigDecimal bigDecimal13 = null;
    java.math.BigDecimal[] bigDecimal_array14 = new java.math.BigDecimal[] { bigDecimal13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array14);
    boolean b17 = bigMatrixImpl15.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl15.transpose();
    int i19 = bigMatrixImpl15.getRowDimension();
    boolean b21 = bigMatrixImpl15.equals((java.lang.Object)(-1L));
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl15.transpose();
    // The following exception was thrown during execution in test generation
    try {
      boolean b23 = bigMatrixImpl2.equals((java.lang.Object)bigMatrixImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b21 = realMatrixImpl8.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix22 = realMatrixImpl8.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array20 = bigMatrixImpl12.getRowAsDoubleArray(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    int i7 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.isSquare();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = realMatrixImpl12.add(realMatrixImpl16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = realMatrixImpl16.transpose();
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = realMatrixImpl22.add(realMatrixImpl26);
    double[][] d_array_array28 = realMatrixImpl27.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl29 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array28);
    boolean b30 = realMatrixImpl16.equals((java.lang.Object)bigMatrixImpl29);
    org.apache.commons.math.linear.BigMatrix bigMatrix31 = bigMatrixImpl29.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix32 = bigMatrixImpl2.subtract(bigMatrix31);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix31);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl16.getDataRef();
    java.math.BigDecimal[] bigDecimal_array19 = bigMatrixImpl16.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array19);
    java.math.BigDecimal bigDecimal21 = bigMatrixImpl20.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl2.scalarMultiply(bigDecimal21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal21);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    boolean b5 = bigMatrixImpl2.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array7 = bigMatrixImpl2.getColumn(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7);
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl11.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl8.preMultiply(bigDecimal_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array15);
    java.math.BigDecimal bigDecimal17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl16.scalarMultiply(bigDecimal17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.getRowMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.subtract(bigMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array10 = bigMatrixImpl2.getData();
    java.lang.String str11 = bigMatrixImpl2.toString();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array16);
    java.math.BigDecimal[][] bigDecimal_array_array18 = bigMatrixImpl17.getDataRef();
    java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl17.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array20);
    java.math.BigDecimal bigDecimal22 = bigMatrixImpl21.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix23 = bigMatrixImpl2.scalarMultiply(bigDecimal22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str11.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal22);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    int i10 = bigMatrixImpl2.getScale();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    int i20 = realMatrixImpl18.getColumnDimension();
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    double[] d_array25 = realMatrixImpl18.preMultiply(d_array23);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array26 = bigMatrixImpl2.solve(d_array23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    java.math.BigDecimal bigDecimal19 = null;
    java.math.BigDecimal[] bigDecimal_array20 = new java.math.BigDecimal[] { bigDecimal19 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl21 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array20);
    boolean b23 = bigMatrixImpl21.equals((java.lang.Object)' ');
    int i24 = bigMatrixImpl21.getScale();
    java.math.BigDecimal bigDecimal25 = bigMatrixImpl21.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl21.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix27 = bigMatrixImpl12.preMultiply(bigMatrix26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix26);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[][] d_array_array10 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array10);
    org.apache.commons.math.linear.RealMatrix realMatrix12 = realMatrixImpl11.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix17 = realMatrixImpl11.getSubMatrix(10, 2, 64, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    boolean b22 = realMatrixImpl8.equals((java.lang.Object)0);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    double[][] d_array_array32 = realMatrixImpl31.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array32);
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = new org.apache.commons.math.linear.RealMatrixImpl(d_array37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array41);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = realMatrixImpl38.add(realMatrixImpl42);
    boolean b44 = realMatrixImpl38.isSquare();
    boolean b45 = realMatrixImpl38.isSquare();
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl49 = new org.apache.commons.math.linear.RealMatrixImpl(d_array48);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl53 = new org.apache.commons.math.linear.RealMatrixImpl(d_array52);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl54 = realMatrixImpl49.add(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrix realMatrix55 = realMatrixImpl53.transpose();
    boolean b56 = realMatrixImpl53.isSquare();
    int i57 = realMatrixImpl53.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl58 = realMatrixImpl38.subtract(realMatrixImpl53);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl59 = realMatrixImpl34.add(realMatrixImpl38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl60 = realMatrixImpl8.subtract(realMatrixImpl59);
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl64 = new org.apache.commons.math.linear.RealMatrixImpl(d_array63);
    double[] d_array67 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl68 = new org.apache.commons.math.linear.RealMatrixImpl(d_array67);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl69 = realMatrixImpl64.add(realMatrixImpl68);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = realMatrixImpl68.transpose();
    boolean b71 = realMatrixImpl68.isSquare();
    int i72 = realMatrixImpl68.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix74 = realMatrixImpl68.scalarMultiply(10.0d);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl75 = realMatrixImpl8.add(realMatrixImpl68);
    // The following exception was thrown during execution in test generation
    try {
      double d78 = realMatrixImpl8.getEntry(2, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl75);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal11 = bigMatrixImpl2.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.transpose();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = bigMatrixImpl2.getColumnAsDoubleArray(0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    boolean b20 = realMatrixImpl19.isSquare();
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = realMatrixImpl24.add(realMatrixImpl28);
    boolean b30 = realMatrixImpl29.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl19.add(realMatrixImpl29);
    boolean b33 = realMatrixImpl19.equals((java.lang.Object)0);
    org.apache.commons.math.linear.RealMatrix realMatrix35 = realMatrixImpl19.scalarAdd(0.0d);
    boolean b36 = realMatrixImpl7.equals((java.lang.Object)0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix38 = realMatrixImpl7.scalarMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d39 = realMatrixImpl7.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl((-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7);
    java.math.BigDecimal bigDecimal9 = bigMatrixImpl8.getTrace();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array14);
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl15.getDataRef();
    double[] d_array18 = bigMatrixImpl15.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array20 = bigMatrixImpl8.solve(d_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(1, 4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    int i5 = realMatrixImpl3.getRowDimension();
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl9.add(realMatrixImpl13);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl13.transpose();
    boolean b16 = realMatrixImpl13.isSquare();
    java.math.BigDecimal bigDecimal17 = null;
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array18);
    boolean b21 = bigMatrixImpl19.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl19.getColumn(0);
    boolean b24 = realMatrixImpl13.equals((java.lang.Object)bigMatrixImpl19);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = realMatrixImpl3.subtract(realMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix30 = realMatrixImpl3.getSubMatrix(10, 10, 4, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl25);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl11.add(realMatrixImpl15);
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl42 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array41);
    java.math.BigDecimal[][] bigDecimal_array_array43 = bigMatrixImpl42.getDataRef();
    double[] d_array45 = bigMatrixImpl42.getRowAsDoubleArray(0);
    double[][] d_array_array46 = new double[][] { d_array45 };
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl15.setSubMatrix(d_array_array46, 0, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl3.getRowMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.lang.String str9 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = bigMatrixImpl2.getRowAsDoubleArray((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.lang.String str11 = realMatrixImpl7.toString();
    double[] d_array12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = realMatrixImpl7.operate(d_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str11.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl5.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    java.lang.String str10 = bigMatrixImpl9.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl9.getColumnMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{10},{1}}"+ "'", str10.equals("BigMatrixImpl{{10},{1}}"));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    int i11 = bigMatrixImpl9.getColumnDimension();
    java.lang.String str12 = bigMatrixImpl9.toString();
    java.math.BigDecimal bigDecimal13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix14 = bigMatrixImpl9.scalarMultiply(bigDecimal13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str12.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal3 = null;
    java.math.BigDecimal[] bigDecimal_array4 = new java.math.BigDecimal[] { bigDecimal3 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array4);
    boolean b7 = bigMatrixImpl5.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl5.transpose();
    int i9 = bigMatrixImpl5.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 4);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7);
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    int i14 = bigMatrixImpl11.getScale();
    java.math.BigDecimal bigDecimal15 = bigMatrixImpl11.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl11.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl8.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    int i8 = bigMatrixImpl2.getScale();
    bigMatrixImpl2.setRoundingMode((-1));
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl13.transpose();
    int i17 = bigMatrixImpl13.getRowDimension();
    boolean b19 = bigMatrixImpl13.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array21 = bigMatrixImpl13.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array22 = bigMatrixImpl2.preMultiply(bigDecimal_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl19.transpose();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl10.subtract(realMatrixImpl19);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl28 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array27);
    java.math.BigDecimal[][] bigDecimal_array_array29 = bigMatrixImpl28.getDataRef();
    double[] d_array31 = bigMatrixImpl28.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = new org.apache.commons.math.linear.RealMatrixImpl(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array33 = realMatrixImpl22.solve(d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    boolean b11 = realMatrixImpl7.isSingular();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    double[][] d_array_array21 = realMatrixImpl20.getData();
    java.lang.String str22 = realMatrixImpl20.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix23 = realMatrixImpl20.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl7.preMultiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str22.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    int i7 = bigMatrixImpl2.getScale();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 64);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    boolean b5 = bigMatrixImpl2.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getSubMatrix(0, 10, 1, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    double[] d_array8 = bigMatrixImpl5.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl5.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = bigMatrixImpl5.getRowAsDoubleArray(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix9);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    double d12 = realMatrixImpl10.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix17 = realMatrixImpl10.getSubMatrix(2, 10, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 22.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    boolean b12 = realMatrixImpl11.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix17 = realMatrixImpl11.getSubMatrix(100, 100, (-1), 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix12 = realMatrixImpl3.getColumnMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix14 = realMatrixImpl7.getSubMatrix(10, 0, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl13.getDataRef();
    java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl13.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array16);
    java.math.BigDecimal bigDecimal18 = bigMatrixImpl17.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl2.scalarAdd(bigDecimal18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal18);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.lang.String str9 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      boolean b10 = bigMatrixImpl2.isSingular();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.scalarAdd(22.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = realMatrixImpl8.getTrace();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl11.add(realMatrixImpl15);
    org.apache.commons.math.linear.RealMatrix realMatrix37 = realMatrixImpl36.transpose();
    double[] d_array39 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl41 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array42 = realMatrixImpl36.preMultiply(d_array39);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array15);
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl16.copy();
    java.math.BigDecimal bigDecimal18 = null;
    java.math.BigDecimal[] bigDecimal_array19 = new java.math.BigDecimal[] { bigDecimal18 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array19);
    boolean b22 = bigMatrixImpl20.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array24 = bigMatrixImpl20.getRow(0);
    java.math.BigDecimal bigDecimal25 = bigMatrixImpl20.getTrace();
    int i26 = bigMatrixImpl20.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix28 = bigMatrixImpl20.getRowMatrix(0);
    java.math.BigDecimal[] bigDecimal_array30 = bigMatrixImpl20.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array31 = bigMatrixImpl16.solve(bigDecimal_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array30);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double d9 = realMatrixImpl3.getNorm();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array19);
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl3.setSubMatrix(d_array_array19, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[][] d_array_array10 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array10);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl15.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix23 = realMatrixImpl15.scalarAdd((-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl11.multiply(realMatrix23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal8 = null;
    java.math.BigDecimal[] bigDecimal_array9 = new java.math.BigDecimal[] { bigDecimal8 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array9);
    boolean b12 = bigMatrixImpl10.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = bigMatrixImpl10.transpose();
    int i14 = bigMatrixImpl10.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix15 = bigMatrixImpl10.copy();
    java.math.BigDecimal[][] bigDecimal_array_array16 = bigMatrixImpl10.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.add((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array16);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    int i10 = bigMatrixImpl2.getScale();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl16.getDataRef();
    java.math.BigDecimal[] bigDecimal_array19 = bigMatrixImpl16.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array19);
    java.math.BigDecimal bigDecimal21 = bigMatrixImpl20.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl2.scalarAdd(bigDecimal21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal21);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.scalarAdd(22.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = realMatrixImpl8.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    boolean b10 = realMatrixImpl3.isSingular();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    double[][] d_array_array20 = realMatrixImpl19.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl19.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix22 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl19.getRowMatrix(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal11 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    int i8 = bigMatrixImpl2.getRowDimension();
    java.lang.String str9 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = bigMatrixImpl2.getRowAsDoubleArray(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    java.math.BigDecimal bigDecimal22 = null;
    java.math.BigDecimal[] bigDecimal_array23 = new java.math.BigDecimal[] { bigDecimal22 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl24 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array23);
    boolean b26 = bigMatrixImpl24.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix27 = bigMatrixImpl24.transpose();
    int i28 = bigMatrixImpl24.getRowDimension();
    boolean b30 = bigMatrixImpl24.equals((java.lang.Object)(-1L));
    org.apache.commons.math.linear.BigMatrix bigMatrix31 = bigMatrixImpl24.transpose();
    int i32 = bigMatrixImpl24.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix33 = bigMatrixImpl20.preMultiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = bigMatrixImpl3.getTrace();
    java.math.BigDecimal bigDecimal5 = null;
    java.math.BigDecimal[] bigDecimal_array6 = new java.math.BigDecimal[] { bigDecimal5 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl7 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array6);
    boolean b9 = bigMatrixImpl7.equals((java.lang.Object)' ');
    java.lang.Object obj10 = null;
    boolean b11 = bigMatrixImpl7.equals(obj10);
    java.math.BigDecimal[][] bigDecimal_array_array12 = bigMatrixImpl7.getData();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl3.setSubMatrix(bigDecimal_array_array12, 2, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array12);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl13.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = bigMatrixImpl13.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix21 = bigMatrixImpl13.copy();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal24 = bigMatrixImpl13.getEntry(1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix21);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.transpose();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal11 = bigMatrixImpl2.getEntry(0, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal24 = bigMatrixImpl20.getEntry(4, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl13.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = bigMatrixImpl13.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix25 = bigMatrixImpl13.getSubMatrix(0, (-1), 10, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    java.math.BigDecimal bigDecimal21 = null;
    java.math.BigDecimal[] bigDecimal_array22 = new java.math.BigDecimal[] { bigDecimal21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    boolean b25 = bigMatrixImpl23.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl23.transpose();
    int i27 = bigMatrixImpl23.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array28 = bigMatrixImpl23.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl30 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array28, false);
    boolean b31 = realMatrixImpl20.equals((java.lang.Object)false);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl20.transpose();
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = new org.apache.commons.math.linear.RealMatrixImpl(d_array35);
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl41 = realMatrixImpl36.add(realMatrixImpl40);
    double[][] d_array_array42 = realMatrixImpl41.getData();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl20.setSubMatrix(d_array_array42, 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    bigMatrixImpl2.setRoundingMode(2);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array14 = bigMatrixImpl2.getColumn(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    double[] d_array8 = bigMatrixImpl5.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array10);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = realMatrixImpl11.getEntry(2, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl8.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.getColumnMatrix(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    double[] d_array8 = bigMatrixImpl5.getRowAsDoubleArray(0);
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl5.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl5.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix9);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array8 = bigMatrixImpl2.getDataAsDoubleArray();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array10 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array10, true);
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl12.getData();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array15 = bigMatrixImpl12.getRow(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(2, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    boolean b10 = realMatrixImpl3.isSingular();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    double[][] d_array_array20 = realMatrixImpl19.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl19.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix22 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl19);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl26.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix34 = realMatrixImpl26.scalarAdd((-1.0d));
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl19.subtract(realMatrixImpl26);
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl19.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    int i7 = bigMatrixImpl2.getRowDimension();
    java.lang.String str8 = bigMatrixImpl2.toString();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array21);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl18.add(realMatrixImpl22);
    int i24 = realMatrixImpl18.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix25 = realMatrixImpl18.copy();
    boolean b26 = bigMatrixImpl14.equals((java.lang.Object)realMatrix25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix27 = bigMatrixImpl2.subtract((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str8.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    boolean b22 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl7.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.lang.String str15 = bigMatrixImpl9.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal16 = bigMatrixImpl9.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str15.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    int i19 = bigMatrixImpl13.getScale();
    java.math.BigDecimal bigDecimal20 = null;
    java.math.BigDecimal[] bigDecimal_array21 = new java.math.BigDecimal[] { bigDecimal20 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl22 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array21);
    boolean b24 = bigMatrixImpl22.equals((java.lang.Object)' ');
    java.lang.Object obj25 = null;
    boolean b26 = bigMatrixImpl22.equals(obj25);
    java.math.BigDecimal[][] bigDecimal_array_array27 = bigMatrixImpl22.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl29 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array27, true);
    int i30 = bigMatrixImpl29.getScale();
    java.math.BigDecimal[] bigDecimal_array32 = bigMatrixImpl29.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl33 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix34 = bigMatrixImpl13.preMultiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array32);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    int i7 = bigMatrixImpl2.getScale();
    int i8 = bigMatrixImpl2.getColumnDimension();
    java.math.BigDecimal bigDecimal9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.scalarAdd(bigDecimal9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.math.BigDecimal[] bigDecimal_array9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.solve(bigDecimal_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl2.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal15 = bigMatrixImpl2.getEntry(100, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix10 = realMatrixImpl8.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal[][] bigDecimal_array_array4 = new java.math.BigDecimal[][] { bigDecimal_array1 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl6 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array4, false);
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl6.transpose();
    int i8 = bigMatrixImpl6.getRowDimension();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl6.solve(bigDecimal_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    int i10 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl13.transpose();
    int i17 = bigMatrixImpl13.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl13.copy();
    java.math.BigDecimal[][] bigDecimal_array_array19 = bigMatrixImpl13.getData();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.setSubMatrix(bigDecimal_array_array19, 1, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array19);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = bigMatrixImpl2.transpose();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal10 = bigMatrixImpl2.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix9);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.transpose();
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl13.getDataRef();
    java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl13.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl2.operate(bigDecimal_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array13);
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl14.getDataRef();
    boolean b16 = bigMatrixImpl14.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl2.preMultiply((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    boolean b10 = bigMatrixImpl2.isSquare();
    java.math.BigDecimal[] bigDecimal_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl2.solve(bigDecimal_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    bigMatrixImpl2.setRoundingMode(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal9 = bigMatrixImpl2.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = bigMatrixImpl2.getRowAsDoubleArray(0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.lang.String str9 = bigMatrixImpl2.toString();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = realMatrixImpl17.transpose();
    boolean b20 = realMatrixImpl17.isSquare();
    java.math.BigDecimal bigDecimal21 = null;
    java.math.BigDecimal[] bigDecimal_array22 = new java.math.BigDecimal[] { bigDecimal21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    boolean b25 = bigMatrixImpl23.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array27 = bigMatrixImpl23.getColumn(0);
    boolean b28 = realMatrixImpl17.equals((java.lang.Object)bigMatrixImpl23);
    org.apache.commons.math.linear.BigMatrix bigMatrix29 = bigMatrixImpl23.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix30 = bigMatrixImpl23.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix31 = bigMatrixImpl23.copy();
    java.math.BigDecimal[][] bigDecimal_array_array32 = bigMatrixImpl23.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix33 = bigMatrixImpl2.subtract((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array32);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = bigMatrixImpl20.copy();
    java.math.BigDecimal[][] bigDecimal_array_array23 = bigMatrixImpl20.getData();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal24 = bigMatrixImpl20.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array23);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.copy();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal13 = bigMatrixImpl2.getEntry(2, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getScale();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.transpose();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.subtract(bigMatrix9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    int i8 = bigMatrixImpl2.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.luDecompose();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    int i10 = bigMatrixImpl9.getScale();
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl9.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    java.math.BigDecimal bigDecimal15 = null;
    java.math.BigDecimal[] bigDecimal_array16 = new java.math.BigDecimal[] { bigDecimal15 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array16);
    boolean b19 = bigMatrixImpl17.equals((java.lang.Object)' ');
    bigMatrixImpl17.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array22 = bigMatrixImpl17.getDataRef();
    int i23 = bigMatrixImpl17.getScale();
    bigMatrixImpl17.setRoundingMode((-1));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl14.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 64);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl5.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = realMatrixImpl24.add(realMatrixImpl28);
    double[][] d_array_array30 = realMatrixImpl29.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl31 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array30);
    boolean b32 = realMatrixImpl18.equals((java.lang.Object)bigMatrixImpl31);
    int i33 = bigMatrixImpl31.getRowDimension();
    int i34 = bigMatrixImpl31.getRoundingMode();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl35 = bigMatrixImpl10.subtract(bigMatrixImpl31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix37 = bigMatrixImpl10.getColumnMatrix(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrixImpl35);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    double[][] d_array_array22 = bigMatrixImpl20.getDataAsDoubleArray();
    java.math.BigDecimal bigDecimal23 = null;
    java.math.BigDecimal[] bigDecimal_array24 = new java.math.BigDecimal[] { bigDecimal23 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl25 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array24);
    boolean b27 = bigMatrixImpl25.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix28 = bigMatrixImpl25.transpose();
    int i29 = bigMatrixImpl25.getRowDimension();
    boolean b31 = bigMatrixImpl25.equals((java.lang.Object)(-1L));
    java.lang.String str32 = bigMatrixImpl25.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl33 = bigMatrixImpl20.add(bigMatrixImpl25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str32.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    java.math.BigDecimal[][] bigDecimal_array_array6 = bigMatrixImpl5.getDataRef();
    java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl5.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array8);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    org.apache.commons.math.linear.RealMatrix realMatrix20 = realMatrixImpl18.transpose();
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = realMatrixImpl24.add(realMatrixImpl28);
    double[][] d_array_array30 = realMatrixImpl29.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl31 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array30);
    boolean b32 = realMatrixImpl18.equals((java.lang.Object)bigMatrixImpl31);
    int i33 = bigMatrixImpl31.getRowDimension();
    int i34 = bigMatrixImpl31.getRoundingMode();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl35 = bigMatrixImpl10.subtract(bigMatrixImpl31);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = bigMatrixImpl10.getColumnAsDoubleArray(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrixImpl35);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    java.math.BigDecimal bigDecimal4 = bigMatrixImpl3.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl3.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal4);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7);
    java.math.BigDecimal bigDecimal9 = bigMatrixImpl8.getTrace();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    java.lang.Object obj15 = null;
    boolean b16 = bigMatrixImpl12.equals(obj15);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl8.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.scalarMultiply(10.0d);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl17.add(realMatrixImpl21);
    boolean b23 = realMatrixImpl22.isSquare();
    double[][] d_array_array24 = realMatrixImpl22.getData();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl7.setSubMatrix(d_array_array24, 1, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl2.copy();
    java.math.BigDecimal[][] bigDecimal_array_array8 = bigMatrixImpl2.getData();
    int i9 = bigMatrixImpl2.getScale();
    java.math.BigDecimal[] bigDecimal_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array11 = bigMatrixImpl2.operate(bigDecimal_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 64);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, false);
    int i10 = bigMatrixImpl9.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl9.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl5.getSubMatrix(64, 0, 1, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl0 = new org.apache.commons.math.linear.BigMatrixImpl();
    java.math.BigDecimal bigDecimal1 = null;
    java.math.BigDecimal[] bigDecimal_array2 = new java.math.BigDecimal[] { bigDecimal1 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl3 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array2);
    boolean b5 = bigMatrixImpl3.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array7 = bigMatrixImpl3.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl0.preMultiply(bigDecimal_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array7);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bigMatrixImpl2.getEntryAsDouble(100, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl10.copy();
    int[] i_array13 = new int[] { 0 };
    int[] i_array17 = new int[] { 100, 0, 100 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl10.getSubMatrix(i_array13, i_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl19.transpose();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl10.subtract(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = realMatrixImpl10.scalarAdd(11.0d);
    int[] i_array26 = new int[] { 10 };
    int[] i_array28 = new int[] { (-1) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix29 = realMatrixImpl10.getSubMatrix(i_array26, i_array28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl10.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    int i10 = bigMatrixImpl9.getScale();
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl9.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl14 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array21);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl18.add(realMatrixImpl22);
    double[][] d_array_array24 = realMatrixImpl23.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array24);
    java.lang.String str26 = realMatrixImpl25.toString();
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array33);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl30.add(realMatrixImpl34);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = realMatrixImpl34.transpose();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl37 = realMatrixImpl25.subtract(realMatrixImpl34);
    double[] d_array39 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    double[] d_array41 = realMatrixImpl25.operate(d_array39);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array42 = bigMatrixImpl14.operate(d_array41);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str26.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    java.lang.String str14 = realMatrixImpl13.toString();
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = realMatrixImpl13.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl18);
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = realMatrixImpl23.add(realMatrixImpl27);
    org.apache.commons.math.linear.RealMatrix realMatrix29 = realMatrixImpl23.transpose();
    boolean b30 = realMatrixImpl23.isSingular();
    org.apache.commons.math.linear.RealMatrix realMatrix31 = realMatrixImpl18.add((org.apache.commons.math.linear.RealMatrix)realMatrixImpl23);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = new org.apache.commons.math.linear.RealMatrixImpl(d_array34);
    double[] d_array38 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl39 = new org.apache.commons.math.linear.RealMatrixImpl(d_array38);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = realMatrixImpl35.add(realMatrixImpl39);
    double[][] d_array_array41 = realMatrixImpl40.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array41);
    java.lang.String str43 = realMatrixImpl42.toString();
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl47 = new org.apache.commons.math.linear.RealMatrixImpl(d_array46);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl51 = new org.apache.commons.math.linear.RealMatrixImpl(d_array50);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl52 = realMatrixImpl47.add(realMatrixImpl51);
    org.apache.commons.math.linear.RealMatrix realMatrix53 = realMatrixImpl51.transpose();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl54 = realMatrixImpl42.subtract(realMatrixImpl51);
    double[] d_array56 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl57 = new org.apache.commons.math.linear.RealMatrixImpl(d_array56);
    double[] d_array58 = realMatrixImpl42.operate(d_array56);
    double[] d_array59 = realMatrixImpl23.operate(d_array56);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array60 = bigMatrixImpl2.operate(d_array59);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str14.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str43.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    double[][] d_array_array22 = bigMatrixImpl20.getDataAsDoubleArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix24 = bigMatrixImpl20.getColumnMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix23 = bigMatrixImpl20.getColumnMatrix(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    boolean b11 = realMatrixImpl7.isSingular();
    boolean b12 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix14 = realMatrixImpl7.getRowMatrix(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl9.copy();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal11 = bigMatrixImpl9.getDeterminant();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    java.lang.String str10 = realMatrixImpl7.toString();
    boolean b11 = realMatrixImpl7.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl7.luDecompose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str10.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl10.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl10.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl9.copy();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = bigMatrixImpl9.getColumnAsDoubleArray(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    boolean b10 = bigMatrixImpl2.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix12 = bigMatrixImpl2.getColumnMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl3.getColumnDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix10 = realMatrixImpl3.transpose();
    double[][] d_array_array11 = realMatrixImpl3.getDataRef();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    java.lang.String str16 = realMatrixImpl15.toString();
    int i17 = realMatrixImpl15.getRowDimension();
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = realMatrixImpl21.add(realMatrixImpl25);
    org.apache.commons.math.linear.RealMatrix realMatrix27 = realMatrixImpl25.transpose();
    boolean b28 = realMatrixImpl25.isSquare();
    java.math.BigDecimal bigDecimal29 = null;
    java.math.BigDecimal[] bigDecimal_array30 = new java.math.BigDecimal[] { bigDecimal29 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl31 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array30);
    boolean b33 = bigMatrixImpl31.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array35 = bigMatrixImpl31.getColumn(0);
    boolean b36 = realMatrixImpl25.equals((java.lang.Object)bigMatrixImpl31);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl37 = realMatrixImpl15.subtract(realMatrixImpl25);
    boolean b38 = realMatrixImpl3.equals((java.lang.Object)realMatrixImpl25);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array41);
    double[] d_array45 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl46 = new org.apache.commons.math.linear.RealMatrixImpl(d_array45);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl47 = realMatrixImpl42.add(realMatrixImpl46);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = realMatrixImpl46.transpose();
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl52 = new org.apache.commons.math.linear.RealMatrixImpl(d_array51);
    double[] d_array55 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl56 = new org.apache.commons.math.linear.RealMatrixImpl(d_array55);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl57 = realMatrixImpl52.add(realMatrixImpl56);
    double[][] d_array_array58 = realMatrixImpl57.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl59 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array58);
    boolean b60 = realMatrixImpl46.equals((java.lang.Object)bigMatrixImpl59);
    double[][] d_array_array61 = bigMatrixImpl59.getDataAsDoubleArray();
    double[][] d_array_array62 = bigMatrixImpl59.getDataAsDoubleArray();
    double[][] d_array_array63 = bigMatrixImpl59.getDataAsDoubleArray();
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl25.setSubMatrix(d_array_array63, 0, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str16.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = bigMatrixImpl2.getEntryAsDouble(0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    double[][] d_array_array19 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array19);
    boolean b21 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl20);
    double[][] d_array_array22 = bigMatrixImpl20.getDataAsDoubleArray();
    int i23 = bigMatrixImpl20.getScale();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array25 = bigMatrixImpl20.getRow((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 64);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7);
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    bigMatrixImpl11.setRoundingMode(0);
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl11.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array18 = bigMatrixImpl8.solve(bigDecimal_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.scalarMultiply(10.0d);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl17.add(realMatrixImpl21);
    double[][] d_array_array23 = realMatrixImpl22.getData();
    java.lang.String str24 = realMatrixImpl22.toString();
    boolean b25 = realMatrixImpl7.equals((java.lang.Object)realMatrixImpl22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix26 = realMatrixImpl7.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str24.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = realMatrixImpl11.add(realMatrixImpl15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = realMatrixImpl15.transpose();
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = realMatrixImpl21.add(realMatrixImpl25);
    double[][] d_array_array27 = realMatrixImpl26.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl28 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array27);
    boolean b29 = realMatrixImpl15.equals((java.lang.Object)bigMatrixImpl28);
    int i30 = bigMatrixImpl28.getRowDimension();
    java.math.BigDecimal bigDecimal31 = bigMatrixImpl28.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix32 = bigMatrixImpl2.scalarMultiply(bigDecimal31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal31);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.transpose();
    boolean b10 = realMatrixImpl3.isSingular();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl3.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = realMatrixImpl3.getColumn(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.transpose();
    java.lang.String str9 = bigMatrixImpl2.toString();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = realMatrixImpl23.add(realMatrixImpl27);
    boolean b29 = realMatrixImpl28.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl18.add(realMatrixImpl28);
    java.math.BigDecimal bigDecimal31 = null;
    java.math.BigDecimal[] bigDecimal_array32 = new java.math.BigDecimal[] { bigDecimal31 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl33 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array32);
    boolean b35 = bigMatrixImpl33.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix36 = bigMatrixImpl33.transpose();
    int i37 = bigMatrixImpl33.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array38 = bigMatrixImpl33.getDataRef();
    boolean b39 = realMatrixImpl30.equals((java.lang.Object)bigDecimal_array_array38);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl40 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array38);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl42 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array38, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix43 = bigMatrixImpl2.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str9.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl19.transpose();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl10.subtract(realMatrixImpl19);
    double[] d_array24 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array26 = realMatrixImpl10.operate(d_array24);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array33);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl30.add(realMatrixImpl34);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = realMatrixImpl34.transpose();
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl44 = new org.apache.commons.math.linear.RealMatrixImpl(d_array43);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl45 = realMatrixImpl40.add(realMatrixImpl44);
    double[][] d_array_array46 = realMatrixImpl45.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl47 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array46);
    boolean b48 = realMatrixImpl34.equals((java.lang.Object)bigMatrixImpl47);
    double[][] d_array_array49 = bigMatrixImpl47.getDataAsDoubleArray();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl50 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array49);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix51 = realMatrixImpl10.multiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl50);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array15);
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = bigMatrixImpl16.copy();
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = realMatrixImpl21.add(realMatrixImpl25);
    double[][] d_array_array27 = realMatrixImpl26.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl28 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array27);
    org.apache.commons.math.linear.BigMatrix bigMatrix29 = bigMatrixImpl28.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix30 = bigMatrixImpl28.transpose();
    java.math.BigDecimal bigDecimal31 = bigMatrixImpl28.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix32 = bigMatrixImpl16.scalarMultiply(bigDecimal31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal31);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl20.isSquare();
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl25.add(realMatrixImpl29);
    boolean b31 = realMatrixImpl30.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = realMatrixImpl20.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = realMatrixImpl11.add(realMatrixImpl32);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl37 = new org.apache.commons.math.linear.RealMatrixImpl(d_array36);
    double[] d_array40 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl41 = new org.apache.commons.math.linear.RealMatrixImpl(d_array40);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = realMatrixImpl37.add(realMatrixImpl41);
    int i43 = realMatrixImpl41.getColumnDimension();
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl47 = new org.apache.commons.math.linear.RealMatrixImpl(d_array46);
    double[] d_array48 = realMatrixImpl41.preMultiply(d_array46);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array49 = realMatrixImpl33.solve(d_array46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    java.lang.String str19 = bigMatrixImpl12.toString();
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = new org.apache.commons.math.linear.RealMatrixImpl(d_array26);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = realMatrixImpl23.add(realMatrixImpl27);
    org.apache.commons.math.linear.RealMatrix realMatrix29 = realMatrixImpl27.transpose();
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array32);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl37 = new org.apache.commons.math.linear.RealMatrixImpl(d_array36);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = realMatrixImpl33.add(realMatrixImpl37);
    double[][] d_array_array39 = realMatrixImpl38.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl40 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array39);
    boolean b41 = realMatrixImpl27.equals((java.lang.Object)bigMatrixImpl40);
    int i42 = bigMatrixImpl40.getRowDimension();
    java.math.BigDecimal bigDecimal43 = bigMatrixImpl40.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix44 = bigMatrixImpl12.scalarMultiply(bigDecimal43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str19.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal43);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    int i5 = bigMatrixImpl2.getRoundingMode();
    java.math.BigDecimal bigDecimal6 = bigMatrixImpl2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array8 = bigMatrixImpl2.getRow(64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal6);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    bigMatrixImpl9.setScale(0);
    bigMatrixImpl9.setRoundingMode((-1));
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array18);
    java.math.BigDecimal[][] bigDecimal_array_array20 = bigMatrixImpl19.getDataRef();
    java.math.BigDecimal[] bigDecimal_array22 = bigMatrixImpl19.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    java.math.BigDecimal bigDecimal24 = bigMatrixImpl23.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix25 = bigMatrixImpl9.scalarAdd(bigDecimal24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal24);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    boolean b5 = bigMatrixImpl2.isSquare();
    java.math.BigDecimal bigDecimal6 = null;
    java.math.BigDecimal[] bigDecimal_array7 = new java.math.BigDecimal[] { bigDecimal6 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl8 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array7);
    boolean b10 = bigMatrixImpl8.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = bigMatrixImpl8.transpose();
    int i12 = bigMatrixImpl8.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl8.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array13, false);
    double[] d_array17 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    boolean b19 = bigMatrixImpl15.equals((java.lang.Object)d_array17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = bigMatrixImpl2.subtract(bigMatrixImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    int i19 = realMatrixImpl17.getColumnDimension();
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    double[] d_array24 = realMatrixImpl17.preMultiply(d_array22);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array26 = realMatrixImpl8.operate(d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    java.lang.String str10 = realMatrixImpl7.toString();
    // The following exception was thrown during execution in test generation
    try {
      double d13 = realMatrixImpl7.getEntry(0, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str10.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array15 = bigMatrixImpl9.getDataRef();
    int i16 = bigMatrixImpl9.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal17 = bigMatrixImpl9.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl3.getColumnDimension();
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = realMatrixImpl3.operate(d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array10 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array10, true);
    java.math.BigDecimal[][] bigDecimal_array_array13 = bigMatrixImpl12.getData();
    java.math.BigDecimal bigDecimal14 = null;
    java.math.BigDecimal[] bigDecimal_array15 = new java.math.BigDecimal[] { bigDecimal14 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl16 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array15);
    boolean b18 = bigMatrixImpl16.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl16.transpose();
    int i20 = bigMatrixImpl16.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array21 = bigMatrixImpl16.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array21, false);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl12.setSubMatrix(bigDecimal_array_array21, 0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array21);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    bigMatrixImpl2.setRoundingMode(2);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = bigMatrixImpl2.getRowAsDoubleArray(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix11 = realMatrixImpl8.scalarAdd(22.0d);
    int[] i_array13 = new int[] { (-1) };
    int[] i_array14 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl8.getSubMatrix(i_array13, i_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    java.math.BigDecimal bigDecimal10 = null;
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl12 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array11);
    boolean b14 = bigMatrixImpl12.equals((java.lang.Object)' ');
    bigMatrixImpl12.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array17 = bigMatrixImpl12.getDataRef();
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl12);
    java.lang.String str19 = bigMatrixImpl12.toString();
    bigMatrixImpl12.setScale((-1));
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl25.add(realMatrixImpl29);
    int i31 = realMatrixImpl29.getColumnDimension();
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = new org.apache.commons.math.linear.RealMatrixImpl(d_array34);
    double[] d_array36 = realMatrixImpl29.preMultiply(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array37 = bigMatrixImpl12.solve(d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str19.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int[] i_array12 = new int[] { 10, 100, 0 };
    int[] i_array14 = new int[] { 10 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl3.getSubMatrix(i_array12, i_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    java.lang.String str8 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getColumn(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str8.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = realMatrixImpl7.add(realMatrixImpl11);
    double[][] d_array_array13 = realMatrixImpl12.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array13);
    java.lang.String str15 = realMatrixImpl14.toString();
    double d16 = realMatrixImpl14.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix17 = realMatrixImpl3.preMultiply((org.apache.commons.math.linear.RealMatrix)realMatrixImpl14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str15.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 22.0d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    java.math.BigDecimal bigDecimal21 = null;
    java.math.BigDecimal[] bigDecimal_array22 = new java.math.BigDecimal[] { bigDecimal21 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl23 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array22);
    boolean b25 = bigMatrixImpl23.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix26 = bigMatrixImpl23.transpose();
    int i27 = bigMatrixImpl23.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array28 = bigMatrixImpl23.getDataRef();
    boolean b29 = realMatrixImpl20.equals((java.lang.Object)bigDecimal_array_array28);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl30 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array28);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl32 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array28, false);
    java.math.BigDecimal bigDecimal33 = null;
    java.math.BigDecimal[] bigDecimal_array34 = new java.math.BigDecimal[] { bigDecimal33 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl35 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array34);
    boolean b37 = bigMatrixImpl35.equals((java.lang.Object)' ');
    java.lang.Object obj38 = null;
    boolean b39 = bigMatrixImpl35.equals(obj38);
    int i40 = bigMatrixImpl35.getColumnDimension();
    org.apache.commons.math.linear.BigMatrix bigMatrix41 = bigMatrixImpl35.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix42 = bigMatrixImpl32.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix41);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array6 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal7 = bigMatrixImpl2.getTrace();
    int i8 = bigMatrixImpl2.getScale();
    org.apache.commons.math.linear.BigMatrix bigMatrix10 = bigMatrixImpl2.getRowMatrix(0);
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal bigDecimal13 = null;
    java.math.BigDecimal[] bigDecimal_array14 = new java.math.BigDecimal[] { bigDecimal13 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl15 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array14);
    boolean b17 = bigMatrixImpl15.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = bigMatrixImpl15.transpose();
    int i19 = bigMatrixImpl15.getRoundingMode();
    java.math.BigDecimal[][] bigDecimal_array_array20 = bigMatrixImpl15.getDataRef();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl22 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array20, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b23 = bigMatrixImpl2.equals((java.lang.Object)bigMatrixImpl22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array20);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    double[] d_array23 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = realMatrixImpl24.add(realMatrixImpl28);
    double[][] d_array_array30 = realMatrixImpl29.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array30);
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = new org.apache.commons.math.linear.RealMatrixImpl(d_array35);
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = new org.apache.commons.math.linear.RealMatrixImpl(d_array39);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl41 = realMatrixImpl36.add(realMatrixImpl40);
    boolean b42 = realMatrixImpl36.isSquare();
    boolean b43 = realMatrixImpl36.isSquare();
    double[] d_array46 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl47 = new org.apache.commons.math.linear.RealMatrixImpl(d_array46);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl51 = new org.apache.commons.math.linear.RealMatrixImpl(d_array50);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl52 = realMatrixImpl47.add(realMatrixImpl51);
    org.apache.commons.math.linear.RealMatrix realMatrix53 = realMatrixImpl51.transpose();
    boolean b54 = realMatrixImpl51.isSquare();
    int i55 = realMatrixImpl51.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl56 = realMatrixImpl36.subtract(realMatrixImpl51);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl57 = realMatrixImpl32.add(realMatrixImpl36);
    org.apache.commons.math.linear.RealMatrix realMatrix58 = realMatrixImpl20.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl32);
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl62 = new org.apache.commons.math.linear.RealMatrixImpl(d_array61);
    double[] d_array65 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl66 = new org.apache.commons.math.linear.RealMatrixImpl(d_array65);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl67 = realMatrixImpl62.add(realMatrixImpl66);
    org.apache.commons.math.linear.RealMatrix realMatrix68 = realMatrixImpl66.transpose();
    boolean b69 = realMatrixImpl66.isSquare();
    boolean b70 = realMatrixImpl66.isSingular();
    boolean b71 = realMatrixImpl66.isSquare();
    boolean b72 = realMatrixImpl66.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl73 = realMatrixImpl20.multiply(realMatrixImpl66);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    int i3 = realMatrixImpl2.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix4 = realMatrixImpl2.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRoundingMode();
    java.lang.String str7 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal8 = bigMatrixImpl2.getTrace();
    java.math.BigDecimal bigDecimal9 = null;
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl11 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array10);
    boolean b13 = bigMatrixImpl11.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix14 = bigMatrixImpl11.transpose();
    int i15 = bigMatrixImpl11.getRowDimension();
    boolean b17 = bigMatrixImpl11.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array19 = bigMatrixImpl11.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array20 = new java.math.BigDecimal[][] { bigDecimal_array19 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl22 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array20, true);
    // The following exception was thrown during execution in test generation
    try {
      bigMatrixImpl2.setSubMatrix(bigDecimal_array_array20, 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str7.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array20);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl11.add(realMatrixImpl15);
    org.apache.commons.math.linear.RealMatrix realMatrix37 = realMatrixImpl36.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double d38 = realMatrixImpl36.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(4, 100);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = bigMatrixImpl2.getColumnAsDoubleArray(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    int i9 = realMatrixImpl7.getColumnDimension();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array14 = realMatrixImpl7.preMultiply(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl16.getSubMatrix(0, (-1), 1, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    int i5 = realMatrixImpl3.getRowDimension();
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl9.add(realMatrixImpl13);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl13.transpose();
    boolean b16 = realMatrixImpl13.isSquare();
    java.math.BigDecimal bigDecimal17 = null;
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array18);
    boolean b21 = bigMatrixImpl19.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl19.getColumn(0);
    boolean b24 = realMatrixImpl13.equals((java.lang.Object)bigMatrixImpl19);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = realMatrixImpl3.subtract(realMatrixImpl13);
    double[] d_array26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array27 = realMatrixImpl25.operate(d_array26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl25);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    bigMatrixImpl2.setRoundingMode(0);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getDataRef();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    int[] i_array14 = new int[] { 0, 1, 1 };
    int[] i_array15 = new int[] {  };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix16 = bigMatrixImpl2.getSubMatrix(i_array14, i_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl8.isSquare();
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    boolean b19 = realMatrixImpl18.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl8.add(realMatrixImpl18);
    double[][] d_array_array21 = realMatrixImpl18.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array21, false);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl24 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array21);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = new org.apache.commons.math.linear.RealMatrixImpl(d_array31);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = realMatrixImpl28.add(realMatrixImpl32);
    boolean b34 = realMatrixImpl33.isSquare();
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl38 = new org.apache.commons.math.linear.RealMatrixImpl(d_array37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl42 = new org.apache.commons.math.linear.RealMatrixImpl(d_array41);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl43 = realMatrixImpl38.add(realMatrixImpl42);
    boolean b44 = realMatrixImpl43.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl45 = realMatrixImpl33.add(realMatrixImpl43);
    double[][] d_array_array46 = realMatrixImpl43.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl48 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array46, false);
    // The following exception was thrown during execution in test generation
    try {
      realMatrixImpl24.setSubMatrix(d_array_array46, 2, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    boolean b9 = realMatrixImpl3.isSquare();
    boolean b10 = realMatrixImpl3.isSquare();
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = new org.apache.commons.math.linear.RealMatrixImpl(d_array13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = realMatrixImpl14.add(realMatrixImpl18);
    int i20 = realMatrixImpl18.getColumnDimension();
    java.lang.String str21 = realMatrixImpl18.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl3.multiply(realMatrixImpl18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str21.equals("RealMatrixImpl{{10.0},{1.0}}"));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.scalarMultiply(10.0d);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl17.add(realMatrixImpl21);
    double[][] d_array_array23 = realMatrixImpl22.getData();
    java.lang.String str24 = realMatrixImpl22.toString();
    boolean b25 = realMatrixImpl7.equals((java.lang.Object)realMatrixImpl22);
    double d26 = realMatrixImpl22.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str24.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 22.0d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl5 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array4);
    org.apache.commons.math.linear.BigMatrix bigMatrix7 = bigMatrixImpl5.getRowMatrix(0);
    java.lang.String str8 = bigMatrixImpl5.toString();
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl12 = new org.apache.commons.math.linear.RealMatrixImpl(d_array11);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl16 = new org.apache.commons.math.linear.RealMatrixImpl(d_array15);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = realMatrixImpl12.add(realMatrixImpl16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = realMatrixImpl16.transpose();
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = realMatrixImpl22.add(realMatrixImpl26);
    double[][] d_array_array28 = realMatrixImpl27.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl29 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array28);
    boolean b30 = realMatrixImpl16.equals((java.lang.Object)bigMatrixImpl29);
    double[][] d_array_array31 = bigMatrixImpl29.getDataAsDoubleArray();
    double[][] d_array_array32 = bigMatrixImpl29.getDataAsDoubleArray();
    double[][] d_array_array33 = bigMatrixImpl29.getDataAsDoubleArray();
    double[][] d_array_array34 = bigMatrixImpl29.getDataAsDoubleArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix35 = bigMatrixImpl5.solve((org.apache.commons.math.linear.BigMatrix)bigMatrixImpl29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "BigMatrixImpl{{10,1}}"+ "'", str8.equals("BigMatrixImpl{{10,1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    int i10 = bigMatrixImpl9.getScale();
    java.math.BigDecimal[] bigDecimal_array12 = bigMatrixImpl9.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bigMatrixImpl9.getEntryAsDouble(2, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl10 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl20.isSquare();
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl29 = new org.apache.commons.math.linear.RealMatrixImpl(d_array28);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = realMatrixImpl25.add(realMatrixImpl29);
    boolean b31 = realMatrixImpl30.isSquare();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = realMatrixImpl20.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = realMatrixImpl11.add(realMatrixImpl32);
    double[][] d_array_array34 = realMatrixImpl11.getData();
    java.lang.String str35 = realMatrixImpl11.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix37 = realMatrixImpl11.getRowMatrix(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str35.equals("RealMatrixImpl{{20.0},{2.0}}"));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    int i5 = realMatrixImpl3.getRowDimension();
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl9.add(realMatrixImpl13);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl13.transpose();
    boolean b16 = realMatrixImpl13.isSquare();
    java.math.BigDecimal bigDecimal17 = null;
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array18);
    boolean b21 = bigMatrixImpl19.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl19.getColumn(0);
    boolean b24 = realMatrixImpl13.equals((java.lang.Object)bigMatrixImpl19);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = realMatrixImpl3.subtract(realMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array27 = realMatrixImpl3.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl25);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix10 = realMatrixImpl8.inverse();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    bigMatrixImpl2.setScale(0);
    java.lang.String str10 = bigMatrixImpl2.toString();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.lang.Object obj16 = null;
    boolean b17 = bigMatrixImpl13.equals(obj16);
    java.math.BigDecimal[][] bigDecimal_array_array18 = bigMatrixImpl13.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl20 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array18, true);
    java.math.BigDecimal bigDecimal21 = bigMatrixImpl20.getTrace();
    bigMatrixImpl20.setRoundingMode(0);
    boolean b24 = bigMatrixImpl20.isSquare();
    int i25 = bigMatrixImpl20.getRoundingMode();
    java.lang.String str26 = bigMatrixImpl20.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl27 = bigMatrixImpl2.add(bigMatrixImpl20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str10.equals("BigMatrixImpl{{null}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str26.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    int i11 = realMatrixImpl7.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = realMatrixImpl7.scalarMultiply(10.0d);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl21 = new org.apache.commons.math.linear.RealMatrixImpl(d_array20);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl17.add(realMatrixImpl21);
    double[][] d_array_array23 = realMatrixImpl22.getData();
    java.lang.String str24 = realMatrixImpl22.toString();
    boolean b25 = realMatrixImpl7.equals((java.lang.Object)realMatrixImpl22);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl27 = realMatrixImpl22.add(realMatrixImpl26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str24.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(64, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    double[][] d_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl1 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    double[] d_array7 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = new org.apache.commons.math.linear.RealMatrixImpl(d_array7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl3.subtract((org.apache.commons.math.linear.RealMatrix)realMatrixImpl8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl17 = new org.apache.commons.math.linear.RealMatrixImpl(d_array16);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = realMatrixImpl13.add(realMatrixImpl17);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = realMatrixImpl13.transpose();
    boolean b20 = realMatrixImpl13.isSingular();
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl8.add((org.apache.commons.math.linear.RealMatrix)realMatrixImpl13);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    java.lang.String str26 = realMatrixImpl25.toString();
    boolean b27 = realMatrixImpl13.equals((java.lang.Object)str26);
    double[] d_array30 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = new org.apache.commons.math.linear.RealMatrixImpl(d_array30);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = new org.apache.commons.math.linear.RealMatrixImpl(d_array34);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl31.add(realMatrixImpl35);
    org.apache.commons.math.linear.RealMatrix realMatrix37 = realMatrixImpl35.transpose();
    boolean b38 = realMatrixImpl35.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix39 = realMatrixImpl13.solve((org.apache.commons.math.linear.RealMatrix)realMatrixImpl35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str26.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = bigMatrixImpl2.transpose();
    int i6 = bigMatrixImpl2.getRowDimension();
    boolean b8 = bigMatrixImpl2.equals((java.lang.Object)(-1L));
    java.math.BigDecimal[] bigDecimal_array10 = bigMatrixImpl2.getRow(0);
    java.math.BigDecimal[][] bigDecimal_array_array11 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array11, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = bigMatrixImpl13.getColumnAsDoubleArray((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array11);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl2 = new org.apache.commons.math.linear.RealMatrixImpl(10, 4);
    java.lang.String str3 = realMatrixImpl2.toString();
    double[] d_array5 = realMatrixImpl2.getColumn(2);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = realMatrixImpl2.getEntry(10, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "RealMatrixImpl{{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0}}"+ "'", str3.equals("RealMatrixImpl{{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0},{0.0,0.0,0.0,0.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(d_array_array12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = bigMatrixImpl13.getDataRef();
    java.math.BigDecimal[] bigDecimal_array16 = bigMatrixImpl13.getRow(0);
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl17 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array16);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array18 = bigMatrixImpl2.preMultiply(bigDecimal_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = bigMatrixImpl2.getColumnMatrix(0);
    int i9 = bigMatrixImpl2.getRowDimension();
    java.math.BigDecimal[][] bigDecimal_array_array10 = bigMatrixImpl2.getData();
    java.lang.String str11 = bigMatrixImpl2.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal12 = bigMatrixImpl2.getNorm();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "BigMatrixImpl{{null}}"+ "'", str11.equals("BigMatrixImpl{{null}}"));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl11 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    boolean b21 = realMatrixImpl15.isSquare();
    boolean b22 = realMatrixImpl15.isSquare();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl26 = new org.apache.commons.math.linear.RealMatrixImpl(d_array25);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = realMatrixImpl26.add(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrix realMatrix32 = realMatrixImpl30.transpose();
    boolean b33 = realMatrixImpl30.isSquare();
    int i34 = realMatrixImpl30.getRowDimension();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl15.subtract(realMatrixImpl30);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl36 = realMatrixImpl11.add(realMatrixImpl15);
    org.apache.commons.math.linear.RealMatrix realMatrix37 = realMatrixImpl36.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix39 = realMatrixImpl36.getColumnMatrix(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix37);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    double[][] d_array_array9 = realMatrixImpl8.getData();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl10 = new org.apache.commons.math.linear.RealMatrixImpl(d_array_array9);
    java.lang.String str11 = realMatrixImpl10.toString();
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl15 = new org.apache.commons.math.linear.RealMatrixImpl(d_array14);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl19 = new org.apache.commons.math.linear.RealMatrixImpl(d_array18);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl20 = realMatrixImpl15.add(realMatrixImpl19);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = realMatrixImpl19.transpose();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = realMatrixImpl10.subtract(realMatrixImpl19);
    double[] d_array24 = new double[] { 10.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = new org.apache.commons.math.linear.RealMatrixImpl(d_array24);
    double[] d_array26 = realMatrixImpl10.operate(d_array24);
    double[] d_array29 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl34 = new org.apache.commons.math.linear.RealMatrixImpl(d_array33);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl35 = realMatrixImpl30.add(realMatrixImpl34);
    boolean b36 = realMatrixImpl30.isSquare();
    java.lang.Object obj37 = null;
    boolean b38 = realMatrixImpl30.equals(obj37);
    double d39 = realMatrixImpl30.getNorm();
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl40 = realMatrixImpl10.add(realMatrixImpl30);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = realMatrixImpl30.getEntry(100, 64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "RealMatrixImpl{{20.0},{2.0}}"+ "'", str11.equals("RealMatrixImpl{{20.0},{2.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl40);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    double[] d_array6 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl7 = new org.apache.commons.math.linear.RealMatrixImpl(d_array6);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl8 = realMatrixImpl3.add(realMatrixImpl7);
    org.apache.commons.math.linear.RealMatrix realMatrix9 = realMatrixImpl7.transpose();
    boolean b10 = realMatrixImpl7.isSquare();
    java.math.BigDecimal bigDecimal11 = null;
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl13 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array12);
    boolean b15 = bigMatrixImpl13.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array17 = bigMatrixImpl13.getColumn(0);
    boolean b18 = realMatrixImpl7.equals((java.lang.Object)bigMatrixImpl13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = bigMatrixImpl13.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = bigMatrixImpl13.copy();
    org.apache.commons.math.linear.BigMatrix bigMatrix21 = bigMatrixImpl13.copy();
    int i22 = bigMatrixImpl13.getColumnDimension();
    java.math.BigDecimal bigDecimal23 = null;
    java.math.BigDecimal[] bigDecimal_array24 = new java.math.BigDecimal[] { bigDecimal23 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl25 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array24);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array26 = bigMatrixImpl13.solve(bigDecimal_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array24);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    java.math.BigDecimal bigDecimal0 = null;
    java.math.BigDecimal[] bigDecimal_array1 = new java.math.BigDecimal[] { bigDecimal0 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl2 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array1);
    boolean b4 = bigMatrixImpl2.equals((java.lang.Object)' ');
    java.lang.Object obj5 = null;
    boolean b6 = bigMatrixImpl2.equals(obj5);
    java.math.BigDecimal[][] bigDecimal_array_array7 = bigMatrixImpl2.getData();
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl9 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array_array7, true);
    java.math.BigDecimal bigDecimal10 = bigMatrixImpl9.getTrace();
    bigMatrixImpl9.setRoundingMode(0);
    boolean b13 = bigMatrixImpl9.isSquare();
    int i14 = bigMatrixImpl9.getRoundingMode();
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl18 = new org.apache.commons.math.linear.RealMatrixImpl(d_array17);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl22 = new org.apache.commons.math.linear.RealMatrixImpl(d_array21);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl23 = realMatrixImpl18.add(realMatrixImpl22);
    int i24 = realMatrixImpl22.getColumnDimension();
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl28 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    double[] d_array29 = realMatrixImpl22.preMultiply(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl30 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl31 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl32 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl33 = new org.apache.commons.math.linear.RealMatrixImpl(d_array27);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal[] bigDecimal_array34 = bigMatrixImpl9.operate(d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl3 = new org.apache.commons.math.linear.RealMatrixImpl(d_array2);
    java.lang.String str4 = realMatrixImpl3.toString();
    int i5 = realMatrixImpl3.getRowDimension();
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl9 = new org.apache.commons.math.linear.RealMatrixImpl(d_array8);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl13 = new org.apache.commons.math.linear.RealMatrixImpl(d_array12);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl14 = realMatrixImpl9.add(realMatrixImpl13);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = realMatrixImpl13.transpose();
    boolean b16 = realMatrixImpl13.isSquare();
    java.math.BigDecimal bigDecimal17 = null;
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrixImpl bigMatrixImpl19 = new org.apache.commons.math.linear.BigMatrixImpl(bigDecimal_array18);
    boolean b21 = bigMatrixImpl19.equals((java.lang.Object)' ');
    java.math.BigDecimal[] bigDecimal_array23 = bigMatrixImpl19.getColumn(0);
    boolean b24 = realMatrixImpl13.equals((java.lang.Object)bigMatrixImpl19);
    org.apache.commons.math.linear.RealMatrixImpl realMatrixImpl25 = realMatrixImpl3.subtract(realMatrixImpl13);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array27 = realMatrixImpl25.getColumn(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "RealMatrixImpl{{10.0},{1.0}}"+ "'", str4.equals("RealMatrixImpl{{10.0},{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrixImpl25);

  }

}
